 // 风险测评
 //@版本: 2.0 
define(function(require, exports, module){ 
	var appUtils = require("appUtils"),
	 gconfig = require("gconfig"), 
     platform = require("gconfig").platform,	
    dateUtils = require("dateUtils"),
    common = require("common"),
	layerUtils = require("layerUtils"),
	validatorUtil = require("validatorUtil"),
	service = require("investService"),
		
		_pageId = "#account_riskTesting";
	 var timu_zs;
	 var servertime="";
	 var nianl;
	
	
	function init(){
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});

			service.systemTime({},function(data){   //600333
				if(data.error_no == 0){
					if(data.results!=undefined && data.results.length>0 ){
					 servertime = data.results[0].nowTime;
					 servertime = servertime.substring(0,10);
					 actualAge();
					}
				}else{
					layerUtils.iAlert(data.error_info);
				}
			});
		
	}

	
	
	function topic(judge){
		
		var param={};
		service.riskTopics(param,function(data){  
			if(data.error_no==0){
				
				var question_title="";
				var question_id="";
				var answers="";
				str="";
				if(data.results!=undefined && data.results.length>0){
					timu_zs=data.results.length;
					for(var i=0;i<data.results.length;i++){
						question_title=(i+1)+": "+data.results[i].question_title;
						question_id=data.results[i].question_id;
						str+="<div class='test_box'><h5>"+question_title+"</h5>";
						answers=data.results[i].answers;
						answers = answers.replaceAll("=",":'");
						answers = answers.replaceAll("}, ","'},");
						answers = answers.replaceAll("}]","'}]");
						answers = answers.replaceAll(", ","',");
						answers = answers.replaceAll("\n","");
						answers = answers.replaceAll("\r","");
						var datas = "";
						eval("datas="+answers); 
						str+="<ul class='input_list'>";
						for(var j = 0; j < datas.length; j++){
					    var option_id=	datas[j].option_id;
					    var description=	datas[j].description; 
					    if(i==0){
					    	 if(i==0&&j==judge){
								    str+="<li><a class='icon_radio checked' href='javascript:void(0)'option_id="+question_id+"_"+option_id+" >"+description+"</a></li>";
								    continue;
							    }
							    str+="<li><a class='icon_radio' href='javascript:void(0)'option_id="+question_id+"_"+option_id+" >"+description+"</a></li>";

					    }else{
//					    	 if(j==0){
//								    str+="<li><a class='icon_radio checked' href='javascript:void(0)'option_id="+question_id+"_"+option_id+" >"+description+"</a></li>";
//								    continue;
//							    }
							    
							   
							    str+="<li><a class='icon_radio' href='javascript:void(0)'option_id="+question_id+"_"+option_id+" >"+description+"</a></li>";

					    }
					  
					}
						str+="</ul></div>"
						
					}
					
					  $(_pageId+" .test_main").html(str);	
				}
			}else{
				layerUtils.iAlert(data.error_info);
			}
			
		});
	}
	
	//得到年龄
	function actualAge(){
		var  idCard=appUtils.getSStorageInfo("idCard");
		/*var idCard="430723199302266415";*/
		var String_data=idCard.substr(6,8).replace(/(\d{4})(\d{2})/g,"$1-$2-");
		var card_data = new Date(String_data);
		var data_xitong = new Date(servertime);
		var Millisecond= data_xitong.getTime()-card_data.getTime();  //时间差的毫秒数
	    nianl=	Millisecond/86400000/365;
	    if(nianl<30){
	    	topic(0);
	    }else if(nianl<40&&nianl>=30){
	    	topic(1);
	    }else if(nianl<50&&nianl>=40){
	    	topic(2);
	    }else if(nianl<60&&nianl>=50){
	    	topic(3);
	    }else{
	    	topic(4);
	    }
	
	}
	//绑定事件
	function bindPageEvent(){
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
       //点击选取题目
		appUtils.preBindEvent($(_pageId+" .test_main"),".test_box .input_list li",function(){	
			if($(this).parent().siblings("h5").text()=="1: 请问您的年龄处于?"){
				//此题为系统根据身份证号默认选择  不供客户选择
			}else{
				 $(this).children().attr("class","icon_radio checked");	
				 $(this).siblings().children().removeAttr("class","checked");
				 $(this).siblings().children().attr("class","icon_radio");	
			}
			 
		},'click');
		
	}
	
	
	// 点击提交
	appUtils.bindEvent($(_pageId+"  .ce_btn"),function(){
		//友盟统计
		var yCount = $(this).attr("yCount");
		yCount?common.onEvent('click',yCount):"";
		var judgeQuantity=$(_pageId+" .checked").length;
		var ass_answers="";
		if(judgeQuantity==timu_zs){
			$(_pageId+" .checked").each(function(index,element){	
				var answer=$(element).attr("option_id");
				if(index==(timu_zs-1)){
					ass_answers+=answer;
				}else{
					ass_answers+=answer+"|";
				}
			
			});
			
			var param={
					"user_id":appUtils.getSStorageInfo("user_id"),
			        "paper_answer":ass_answers  
			};
			service.riskTopicsSubmit(param,function(data){ 
				if(data.error_no==0){
				var risk_name=data.results[0].risk_name;
					appUtils.setSStorageInfo("risk_name",risk_name);
					appUtils.pageInit("account/riskTesting","account/riskResult",{});
				}else{
					
					layerUtils.iAlert(data.error_info);
				}
				
			});
		}else{
			layerUtils.iAlert("请先答完题目!");
		}
	});

	
	
	
	function destroy(){
		$(_pageId+" .test_main").html("");
	}

	var riskTesting = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = riskTesting;
});