 // 签署协议
 //@版本: 2.0 
define(function(require, exports, module){ 
		var appUtils = require("appUtils"),
	    dateUtils = require("dateUtils"),
		layerUtils = require("layerUtils"),
		validatorUtil = require("validatorUtil"),
		service = require("investService"),
		endecryptUtils = require("endecryptUtils"),
		_pageId = "#bankCardOperation_agreement";
		var external = require("external");
	var Timer;
	var	 platform = require("gconfig").platform;
	var i=3;
	var cacheMobile = "";//用户激活时的手机号
	var toPage = "";
	function init(){
		toPage = appUtils.getPageParam("ModuleName");
		$(_pageId+" .xy_list").html("");
		getAgrement();
		getCacheMobile();
	}

	//绑定事件
	function bindPageEvent(){
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			if(toPage == "me"){
				var to = "/m/ygt/index.html#!/me/bankManages.html";
				external.callMessage({"moduleName":"ygt","funcNo": "50101","param":{"ModuleName":"ygt","toPage":to}});
			}else{
				external.callMessage({"moduleName":"home","funcNo": "50101"});
			}
		});
		appUtils.bindEvent($(_pageId+" .mt10 ul li"),function(){
			
			appUtils.pageInit("account/agreement","account/protocolContent",{});

		});
		 
        appUtils.bindEvent($(_pageId+" .ce_btn"),function(){
        var pandaun =$(_pageId+" .rule_check").children().attr("class");		
			if(pandaun=="icon_check"){
				layerUtils.iAlert("请先勾选协议！");
			}else{
				signBegin();
			}

		});
        
        appUtils.bindEvent($(_pageId+" .rule_check"),function(){
        var class_yz=	 $(this).children().attr("class");	
        if(class_yz=="icon_check"){
    	   $(this).children().attr("class","icon_check checked");
    	
       }else{
    	   $(this).children().attr("class","icon_check");	
       }
		
		},'click');
	}
	
	function getAgrement(){
		var param={
				"agreement_type":""
			};
			service.yonghuxieyi(param,function(datas){     
				if(datas.error_no==0){
					var dataList = datas.results[0].data;
					var str = "";
					for(var i=0;i<dataList.length;i++){
						str+= "<li data-value="+dataList[i].agreement_id+"><span>"+dataList[i].agreement_title+"</span></li>";
					}
					$(_pageId+" .xy_list").html(str);
					
					appUtils.bindEvent($(_pageId+" .mt10 ul li"),function(){
						var agreement_id = $(this).attr("data-value");
						var content = "";
						for(var i=0;i<dataList.length;i++){
							if(agreement_id==dataList[i].agreement_id){
								content = dataList[i].agreement_content;
							}
						}
						appUtils.pageInit("account/agreement","account/protocolContent",{"content":content});
					});
				}else{
						layerUtils.iAlert(data.error_info);
					}
					
				});
	}
	
	function signBegin(){
		//先注册一个
		var mobile_phone = appUtils.getSStorageInfo("mobile");
		if(mobile_phone==""||mobile_phone==null){//如果手机号为空
			mobile_phone = cacheMobile;
		}else{
			cacheMobile = mobile_phone;
		}
		var param={
				"mobile_phone":mobile_phone,
			};
		service.mobilePhone(param,function(data){//先判断此手机号是否已注册
			if(data.error_no==0){
				var is_register=data.results[0].is_register;
				if(is_register!=undefined && is_register>0&&is_register=="1"){
					login();
				}else{//登录
					regist(mobile_phone);
				}
			}else{
				layerUtils.iAlert(data.error_info);
			}
		});
	}
	
	function sign(){
		if($(_pageId+"li").length>0){
			$(_pageId+ 'li').each(function(index) {
				var agreement_id = $(this).attr("data-value");
			    var paramSign = {
						"user_id":appUtils.getSStorageInfo("user_id"),
						"agreement_id":agreement_id
				};
			    service.Sign(paramSign,function(datas){
			    	if(datas.error_no==0){
			    		if(index==$(_pageId+"li").length-1){
					    	signOk();
					    }
			    	}else{
			    		layerUtils.iAlert(datas.error_info);
			    		layerUtils.iLoading(false,"");
			    	}
			    },{isLastReq:false});
		  });
		}else{
			signOk();
		}
	}
	
	function signOk(){
		service.getRSAKey({},function(data){//如果是为开通理财功能，就在我们系统里面注册一个，以便后面签约
			if (data.error_no == "0"){
		            modulus =  data.results[0].modulus;
				    publicExponent = data.results[0].publicExponent;
					zc_pwd = endecryptUtils.rsaEncrypt(modulus, publicExponent, appUtils.getSStorageInfo("login_pwd"));
					var param={									  
							"client_id":appUtils.getSStorageInfo("client_id"),
							"trade_pwd":zc_pwd,
							"fund_account":appUtils.getSStorageInfo("fund_account"),
							"mobile_phone":cacheMobile
					};
					service.activtion(param,function(data){
						if(data.error_no==0){
							var param={									  
									"login_value":appUtils.getSStorageInfo("client_id"),
									"login_pwd":zc_pwd,
									"login_type":"9"
							};
							service.loginyanzhen(param,function(data){ 
								if(data.error_no==0){
									var isOpenMallContor=data.results[0].isOpenMallContor;
									var identity_type=data.results[0].identity_type;
									appUtils.setSStorageInfo("isOpenMallContor", isOpenMallContor);
									appUtils.setSStorageInfo("identity_type", identity_type);
									appUtils.pageInit("bankCardOperation/agreement", "bankCardOperation/bankCardManagement",{});
								}else{
									layerUtils.iAlert(data.error_info);
								}
								
							});
						}else{
							layerUtils.iAlert(data.error_info);
							layerUtils.iLoading(false,"");
						}
						
					});
			}else{
				layerUtils.iAlert(data.error_info);
			}
		});
		
	}
	
	function regist(mobile_phone){
		service.getRSAKey({},function(data){//如果是为开通理财功能，就在我们系统里面注册一个，以便后面签约
			if (data.error_no == "0"){
		            modulus =  data.results[0].modulus;
				    publicExponent = data.results[0].publicExponent;
					zc_pwd = endecryptUtils.rsaEncrypt(modulus, publicExponent, "173942");
					
					 var param={
								"input_value":mobile_phone,
								"channel_code":platform,
								"login_pwd":zc_pwd
						};
						service.registeredAccountnumber(param,function(data){ 
							if(data.error_no==0){//注册成功再签协议
								var user_id=data.results[0].user_id;
								appUtils.setSStorageInfo("user_id",user_id);
								sign();//协议签署
							}else{
								layerUtils.iAlert(data.error_info);
							}
							
						});
			}else{
				layerUtils.iAlert(data.error_info);
			}
		});
	}
	function login(){
		service.getRSAKey({},function(data){
			if (data.error_no == "0"){
		            modulus =  data.results[0].modulus;
				    publicExponent = data.results[0].publicExponent;
					zc_pwd = endecryptUtils.rsaEncrypt(modulus, publicExponent, "173942");
					var param={									  
							"login_value":cacheMobile,
							"login_pwd":zc_pwd
					};
					service.loginyanzhen(param,function(data){ 
						if(data.error_no==0){
							var user_id=data.results[0].user_id;
							appUtils.setSStorageInfo("user_id",user_id);
							sign();
						}else{
							layerUtils.iAlert(data.error_info);
						}
						
					});
			}else{
				layerUtils.iAlert(data.error_info);
			}
		});
		
	
	}
	
	function getCacheMobile(){//从Cache获取用户激活的手机号
		var  mobile = external.callMessage({"moduleName":"mall","key":"activePhone","funcNo": "50043"});
		if(mobile && (mobile.error_no == 0)){
			cacheMobile = mobile.results[0].value;
		}
	}
	
	function destroy(){
		
	}

	var agreement = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = agreement;
});