
define(function(require, exports, module){ 
		var appUtils = require("appUtils"),
	    dateUtils = require("dateUtils"),
		layerUtils = require("layerUtils"),
		validatorUtil = require("validatorUtil"),
		service = require("investService"),
		endecryptUtils = require("endecryptUtils"),
		external = require("external"),
		gconfig = require("gconfig"),
		common = require("common"),
		_pageId = "#bankCardOperation_bankCardManagement";
		var client_id = "";
		var isOpenMallContor = "";
		var	 platform = require("gconfig").platform;
		var shuru="";
		var bankNo = "";
		var bankAccount = "";
		var toPage = "";
		var bankNum = "";//已有银行卡数量
		var is_remove_bank = "";//是否删除银行卡
	function init(){
		client_id = appUtils.getSStorageInfo("client_id");
		toPage = appUtils.getPageParam("ModuleName");
		isOpenMallContor = appUtils.getSStorageInfo("isOpenMallContor");
		window.customKeyboardEvent = {
				keyBoardFinishFunction: function(){
//					guanbi();
					unbindBankCard(shuru);
				}, // 键盘完成按钮的事件
				keyBoardInputFunction: function(){
					shuru=$(_pageId+" #shuru").val();
				    var len = shuru.length;
				    if(len<=8){
				    	
				    }else {
				    	shuru = shuru.substring(0,8);
					    $(_pageId+" #shuru").val(shuru);
				    }
		
				   
				} // 键盘的输入事件
				};
		
		if(isOpenMallContor=="0"){
			appUtils.pageInit("bankCardOperation/bankCardManagement", "bankCardOperation/agreement",{});
		}else{
			var param = {};
			service.checkRemoveBank(param,function(data){
				if(data.error_no==0){
					var result = data.results;
					is_remove_bank = result[0].is_remove_bank;
					getBankCard();
				}else{
					layerUtils.iAlert(data.error_info);
				}
			});
		}
	}

	//绑定事件
	function bindPageEvent(){
		
		appUtils.bindEvent($(_pageId+" .add_cardbtn"),function(){
			//友盟统计
			var yCount = $(this).attr("yCount");
			yCount?common.onEvent('click',yCount):"";
			if(isOpenMallContor=="0"){
				appUtils.pageInit("bankCardOperation/bankCardManagement", "bankCardOperation/agreement",{});
			}else if(client_id==""||client_id==null){
				layerUtils.iAlert("您还未登录，请先登录！");
			}else{
				var param = {
						"account_no":bankNum
				};
				service.checkBankNum(param,function(data){
					if(data.error_no==0){
						appUtils.pageInit("bankCardOperation/bankCardManagement","bankCardOperation/PersonalData",{"isBankManager":"1"});
					}else{
						layerUtils.iAlert(data.error_info);
					}
				});
				
			}
		});
		//首页返回键回到主页面
		appUtils.bindEvent($(_pageId+" .icon_back"), function(){
			if(toPage == "me"){
				var to = gconfig.seaBaseUrl+"ygt/index.html#!/me/bankManages.html";
				external.callMessage({"moduleName":"ygt","funcNo": "50101","params":{"ModuleName":"ygt","toPage":to}});
			}else{
				external.callMessage({"moduleName":"home","funcNo": "50101"});
			}
		});

        appUtils.bindEvent($(_pageId+" .btn"),function(){	
        	unbindBankCard(shuru);
        });
        
        appUtils.bindEvent($(_pageId+" .ly_close"),function(){	
        	guanbi();
        });
        
	}
	
		function unbindBankCard(mima){
			guanbi();
			
			service.getRSAKey({},function(data){
				if (data.error_no == "0"){
			            modulus =  data.results[0].modulus;
					    publicExponent = data.results[0].publicExponent;
						zc_pwd = endecryptUtils.rsaEncrypt(modulus, publicExponent, mima);
						 var param={
									"client_id":appUtils.getSStorageInfo("client_id"),
									"bank_no":bankNo,
									"bank_account":bankAccount,
									"trade_pwd":zc_pwd
							};
							service.unbindBankCard(param,function(data){ 
								if(data.error_no==0){
									layerUtils.iAlert("删除成功");
                         		    appUtils.pageInit("bankCardOperation/bankCardManagement","bankCardOperation/bankCardManagement",{});
								}else{
									layerUtils.iAlert(data.error_info);
								}
								
							});
				}else{
					layerUtils.iAlert(data.error_info);
				}
			});
			}

	function guanbi(){
		
		$(_pageId+" #shuru").val("");
    	$(_pageId+" .ly_shadow").hide();
    	shuru="";
    	for(var i=0;i<6;i++){
    		var idspan="#span0"+i
    		$(_pageId+" "+idspan).removeAttr("class","point");	
    	}
    	var param = {};     
        param["funcNo"] = "50211";     
        require("external").callMessage(param);
   
	}
	
	//将银行卡号格式化为**** **** **** 1111
	var set_bank_no = function(bank_no){
		
			var star ="";
			for(var i=0;i<bank_no.length-4;i++){
				star+="*";
				if((i+1)%4==0){
					star+=" ";
				}
			}
			bank_no=star+" "+bank_no.substring(bank_no.length-4,bank_no.length);
		
		return bank_no;
	};
	
	function destroy(){
		$(_pageId+" .ly_shadow").hide();
    	shuru="";
	}
	
	function getBankCard(){

		service.getRSAKey({},function(data){
			if (data.error_no == "0"){
		            modulus =  data.results[0].modulus;
				    publicExponent = data.results[0].publicExponent;
					zc_pwd = endecryptUtils.rsaEncrypt(modulus, publicExponent, appUtils.getSStorageInfo("login_pwd"));
					var param={
							"fundAccount":client_id,
							"login_pwd":zc_pwd
					}
					service.queryBankCard(param,function(data){
						var str = "";
						if(data.error_no=="0"){
							var result = data.results;
							bankNum = result.length;//银行卡数量
							for(var i=0;i<result.length;i++){
								str+="<li><div class='card_bg'>";
								var bank_account = set_bank_no(result[i].bank_account);
								var bankbg = "";//保存银行卡背景路径
								var bankpng = "";//保存银行卡图标路径
								//根据不同银行显示不同图标
									if(result[i].bank_no=='0303'){//光大银行
										bankbg = "'images/bankbg/gdyh.png'";
										bankpng = "'images/bank/bk07.png'";
									}else if(result[i].bank_no=='0302'){//中信银行
										bankbg = "'images/bankbg/zxyh.png'";
										bankpng = "'images/bank/bk15.png'";
									}else if(result[i].bank_no=="0105"){//建设银行
										bankbg = "'images/bankbg/jsyh.png'";
										bankpng = "'images/bank/bk04.png'";
									}else if(result[i].bank_no=='0100'){//邮储银行
										bankbg = "'images/bankbg/yzyh.png'";
										bankpng = "'images/bank/70youzheng.png'";
									}else if(result[i].bank_no=="0102"){//工商银行
										bankbg = "'images/bankbg/gsyh.png'";
										bankpng = "'images/bank/bk02.png'";
									}else if(result[i].bank_no=='0103'){//农业银行
										bankbg = "'images/bankbg/nyyh.png'";
										bankpng = "'images/bank/bk03.png'";
									}else if(result[i].bank_no=="0104"){//中国银行
										bankbg = "'images/bankbg/zgyh.png'";
										bankpng = "'images/bank/bk01.png'";
									}else if(result[i].bank_no=='0301'){//交通银行
										bankbg = "'images/bankbg/jtyh.png'";
										bankpng = "'images/bank/bk06.png'";
									}else if(result[i].bank_no=="0305"){//民生银行
										bankbg = "'images/bankbg/msyh.png'";
										bankpng = "'images/bank/bk16.png'";
									}else if(result[i].bank_no=="0306"){//广发银行
										bankbg = "'images/bankbg/gfyh.png'";
										bankpng = "'images/bank/bk09.png'";
									}else if(result[i].bank_no=='0307'){//深圳发展银行
										bankbg = "'images/bankbg/qtyh.png'";
										bankpng = "'images/bank/bk03.png'";
									}else if(result[i].bank_no=="0308"){//招商银行
										bankbg = "'images/bankbg/zsyh.png'";
										bankpng = "'images/bank/bk05.png'";
									}else if(result[i].bank_no=='0309'){//兴业银行
										bankbg = "'images/bankbg/xyyh.png'";
										bankpng = "'images/bank/bk10.png'";
									}else if(result[i].bank_no=="0410"){//平安银行
										bankbg = "'images/bankbg/payh.png'";
										bankpng = "'images/bank/bk08.png'";
									}
									str+="<img src="+bankbg+"></div><div class='card_cont'>";
									if(is_remove_bank=="0"){
										
									}else{
										str+="<a class='card_close' href='javascript:void(0);'>删除</a>";
									}
									str+="<input type='hidden' id='bankNo' value="+result[i].bank_no+">"+
									"<input type='hidden' id='bankAccount' value="+result[i].bank_account+">"+
									"<dl class='card_info'>"+
									"<dt><img src="+bankpng+"></dt>"+
									"<dd>"+
									"<h5>"+result[i].bank_name+"</h5>"+
									"<p>储蓄卡</p>"+
									"</dd>"+
									"</dl>"+
									"<div class='card_number'>"+bank_account+"</div>"+
									"</div></li>";
							}
							
							$(_pageId+" #bank_list").html(str);
							appUtils.bindEvent($(_pageId+" .card_close"),function(){	
					        	bankNo = $(this).siblings("#bankNo").val();
					        	bankAccount = $(this).siblings("#bankAccount").val();
					        	$(_pageId+" .ly_shadow").show();
					        	var param = {};
					 		    param["moduleName"] = "mall";
					            param["funcNo"] = "50210";
					            param["pageId"] = "bankCardOperation_bankCardManagement";
					            param["eleId"] = "shuru";
					            param["doneLable"] = "done";
					            param["keyboardType"] = "3";
					            require("external").callMessage(param);
					         
							});
						}else{
							layerUtils.iAlert(data.error_info);
						}
						
						
					});
			}else{
				layerUtils.iAlert(data.error_info);
			}
		});
		
	
	}

	var bankCardManagement = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = bankCardManagement;
});