 // 设置密码
 //@版本: 2.0 
define(function(require, exports, module){ 
		var appUtils = require("appUtils"),
	    dateUtils = require("dateUtils"),
		layerUtils = require("layerUtils"),
		validatorUtil = require("validatorUtil"),
		service = require("investService"),
		external = require("external"),
		endecryptUtils = require("endecryptUtils"),
		_pageId = "#bankCardOperation_bundMobile";

	
	function init(){
		
	}

	//绑定事件
	function bindPageEvent(){
	
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			external.callMessage({"moduleName":"home","funcNo": "50101"});
		});
		appUtils.bindEvent($(_pageId+" .disable"),function(){	
			var pws_one =$(_pageId+" #pws_one").val();
			var pws_two =$(_pageId+" #pws_two").val();
			if(validatorUtil.isEmpty (pws_one)){
				layerUtils.iAlert("支付密码不能为空！");
				return ;
			}
			if(validatorUtil.isEmpty (pws_two)){
				layerUtils.iAlert("重复密码不能为空！");
				return ;
			}
			if(!validatorUtil.isNumeric(pws_one)){
				layerUtils.iAlert("请输入6位数字密码！");
				return ;
			}
			if(pws_one!=pws_two){
				layerUtils.iAlert("两次密码输入不一致！");	
				return ;
			}
			if(pws_one.length!=6){
				layerUtils.iAlert("密码不足六位数！");	
				return ;
			}
			var backgr  =	$(this).attr("style");
			if(backgr!=undefined&&backgr=="background:#d60019;"){
				var yanzhen_m =$(_pageId+" #yanzhen_m").val();
				if(validatorUtil.isNotEmpty(yanzhen_m)){
					if(yanzhen_m=="123123"){
						rsaEncrypt(pws_one);
					}else{
						layerUtils.iAlert("验证码输入有误！");
					}
				}else{
					layerUtils.iAlert("验证码不能为空！");
				}
			}
		});
		
		//点击获取验证码
		appUtils.bindEvent($(_pageId+" .code_btn"),function(){	
			var phoneNum =$(_pageId+" #MobileNum").val();
			if(validatorUtil.isNotEmpty(phoneNum)){
				if(validatorUtil.isMobile(phoneNum)){
					var param = {
							"mobile_phone":phoneNum
					};
					service.renzheng(param,function(data){//验证手机号是否已注册
						if(data.error_no==0){
							var phoneOrAccountIsExists=data.results[0].phoneOrAccountIsExists;
							if(phoneOrAccountIsExists==1){
								layerUtils.iAlert("您的手机号已经注册过，请更换手机号！");
							}else{
								var param = {
										"mobile":phoneNum,
//										"content":"您在华安证券理财开户的验证码为："
										"type":"2"
								}
								service.sendMassage(param,function(data){
									if(data.err_no==0){
										i=60;
										appUtils.setSStorageInfo("mobile",phoneNum);
										Timer=setInterval(function(){
											Countdown();
										},1000);
										$(_pageId+" .disable ").attr("style", "background:#d60019;");
									}else{
										layerUtils.iAlert(data.err_info);
									}
								});
								
							}
						}else{
							layerUtils.iAlert(data.error_info);
						}
							
					});
				
				}else{
					layerUtils.iAlert("请输入正确的手机号码！");				
				    $(_pageId+" #MobileNum").val("");
				}
			}else{
				layerUtils.iAlert("手机号码不能为空！");
			}
		});
	}
	
	
	
	
	/**
	 *  加密
	 */
	function rsaEncrypt(pwd){
		
		service.getRSAKey({},function(data){
			
			if (data.error_no == "0"){
		            modulus =  data.results[0].modulus;
				    publicExponent = data.results[0].publicExponent;
					zc_pwd = endecryptUtils.rsaEncrypt(modulus, publicExponent, pwd);
			 mima(zc_pwd);
			}else{
				layerUtils.iAlert(data.error_info);
			}
		});
	}
	
	
	function mima(mima_one){
		appUtils.setSStorageInfo("rigist_pwd",mima_one);
		appUtils.pageInit("bankCardOperation/bundMobile", "bankCardOperation/agreement",{});
	}
	
	/*倒计时*/
	function Countdown(){
		if(i>=1){
			$(_pageId+" .code_btn").hide();
			$(_pageId+" .code_btn2").show();
			$(_pageId+" .code_btn2").attr("style", "background:#ccc");
			$(_pageId+" .code_btn2").html(""+i+"秒 可重新获取");
			i--;
		}else{
			$(_pageId+" .code_btn2").removeAttr("style", "background:#ccc");
			$(_pageId+" .code_btn2").hide();
			$(_pageId+" .code_btn").show();		
			$(_pageId+" .code_btn").html("点击重新获取验证");
			clearInterval(Timer);//清除计时器
		}
	}
	function destroy(){
		
	}

	var setPassword = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = setPassword;
});