/**
 * 开|转|理财户结果
 */
define(function(require,exports,module){
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		  gconfig = require("gconfig"),
		  layerUtils = require("layerUtils"),
		  global = gconfig.global,
		  platform = require("gconfig").platform,
		  service = require("serviceImp").getInstance(),  //业务层接口，请求数据
		  _pageId = "#account_accountResult";
	var external = require("external");
	var common=require("common");
	/* 私有业务模块的全局变量 end */
	
	function init()
	{
		initPage();
	//	showOpenAccount();
	}
	
	function bindPageEvent()
	{
		/*返回首页 */
		appUtils.bindEvent($(_pageId+" .share_btn"),function(){
			appUtils.clearSStorage();  //清除sessionStorage中的所有数据
			$("#afui #content .page").each(function(){
				$(this).remove();
			});
			if(global.isZhongheApp=="1"){ //综合app
				appUtils.pageInit("account/accountResult","business/index",{});  // 直接跳到结果页
			}else{  //单独开户
				appUtils.pageInit("account/accountResult","account/msgVerify",{});  // 直接跳到结果页
			}		
		});
		
		/*客服评价*/
		appUtils.bindEvent($(_pageId+" .evalua_btn"),function(){
			
			appUtils.pageInit("account/accountResult","account/evaluaAdvice",{});  // 直接评价页面
		});
		
		appUtils.bindEvent($(_pageId+" .ha_btn"),function(){
//			console.log("进入按钮----------");
				var param = {
					"funcNo":"50109",
					"moduleName":"open",
					"url" : appUtils.getSStorageInfo("activityLinkUrl")
				};
				external.callMessage(param);
       	});

		appUtils.preBindEvent($(_pageId)," .guide_img .close",function(e){
				$(_pageId+" .mask_wrap").hide();
				$(_pageId+" .ha_btn").show();
				$(_pageId+" .ha_btn a").html( appUtils.getSStorageInfo("activityName"));
		});
		appUtils.preBindEvent($(_pageId)," .guide_btn",function(){
			var param = {
					"funcNo":"50109",
					"moduleName":"open",
					"url" : appUtils.getSStorageInfo("activityLinkUrl")
				};
			external.callMessage(param);
		});
		
		//抽奖功能
		appUtils.bindEvent($(_pageId+" #cz"),function(){
			appUtils.pageInit("account/accountResult","account/lucky",{});  // 直接跳到结果页
		});
	}
	function destroy()
	{
//		$(_pageId+" order_succes p:eq(3)").html("");
//		$(_pageId+" #gdzh").html("");
//		appUtils.clearSStorage();  // 清空所有的session
	}
	
    /* 初始化页面 */	
	function initPage()
	{
		if(appUtils.getSStorageInfo("openChannel") == "change")
		{
				$(_pageId+" .header h3").html("转户结果");
				$(_pageId+" .order_succes h5:eq(0)").text("转户申请成功！");
				$(_pageId+" .order_succes p:eq(0)").html("我们将在1个交易日内短信告知您转户结果。");
		}
		// 新开户
		else  
		{
			$(_pageId+" .header h3").html("开户结果");
			$(_pageId+" .order_succes h5:eq(0)").text("开户申请成功！");
			$(_pageId+" .order_succes p:eq(0)").html("我们将在1个交易日内短信告知您开户结果。");
		}
		// 驳回后重新提交
		if(appUtils.getSStorageInfo("isBack") == "backInfo")
		{
			$(_pageId+" .header h3").html("开户进度");
			$(_pageId+" .order_succes h5:eq(0)").text("重新提交资料成功！");
		}
		$(_pageId+" .order_succes p:eq(0)").hide();  
		queryAccount(); // 查询用户信息
	}
	
	
	/* 查询用户信息 */
	function queryAccount()
	{
	    common.onEvent("click","stock_account_13"); //友盟统计
		var param = {"user_id" : appUtils.getSStorageInfo("user_id")};
		service.queryUserInfo(param, function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == 0)
			{
				var res = data.results[0];
				appUtils.setSStorageInfo("fund_account",res.fund_account);  // 资金账号
				appUtils.setSStorageInfo("shfund_select",res.shfund_select);  // 沪开放基金状态
				appUtils.setSStorageInfo("szfund_select",res.szfund_select); // 深开放基金状态 
				appUtils.setSStorageInfo("szaselect",res.szaselect); // 深A状态
				appUtils.setSStorageInfo("shaselect",res.shaselect); // 沪A状态
				appUtils.setSStorageInfo("szaaccount",res.szaaccount); // 深A账号
				appUtils.setSStorageInfo("shaaccount",res.shaaccount); // 沪A账号
				appUtils.setSStorageInfo("szfund_account",res.szfund_account); // 深开放基金账号
				appUtils.setSStorageInfo("shfund_account",res.shfund_account); //沪开放基金账号
				appUtils.setSStorageInfo("szbselect",res.szbselect); //深B状态
				appUtils.setSStorageInfo("shbselect",res.shbselect); //沪B状态
				appUtils.setSStorageInfo("szbaccount",res.szbaccount); //深B账户
				appUtils.setSStorageInfo("shbaccount",res.shbaccount); //沪B账户
				appUtils.setSStorageInfo("shbaccount",res.shbaccount); //沪B账户
				appUtils.setSStorageInfo("yyhselect",res.yyhselect); //月月红状态
				appUtils.setSStorageInfo("hacnselect",res.hacnselect);  // 沪基金状态
				appUtils.setSStorageInfo("zacnselect",res.zacnselect); // 深基金状态
				appUtils.setSStorageInfo("hacn_account",res.hacn_account); // 沪基金账户
				appUtils.setSStorageInfo("zacn_account",res.zacn_account); // 深基金账户
				appUtils.setSStorageInfo("isActivityDate",res.isActivityDate); // 是否有活动
				appUtils.setSStorageInfo("activityName",res.activityName); // 活动名称
				appUtils.setSStorageInfo("activityLinkUrl",res.activityLinkUrl); // 活动链接
				appUtils.setSStorageInfo("activityShowFs",res.activityShowFs); // 活动显示方式
				appUtils.setSStorageInfo("activitycss",res.activitycss); // 活动链接
				appUtils.setSStorageInfo("activityhtml",res.activityhtml); // 活动显示方式
				showOpenAccount();  // 显示开户结果
			}
			else
			{
				layerUtils.iMsg(-1, error_info);
			}
		});
	}
	
	/* 显示新开户结果 */
	function showOpenAccount()
	{
		var isActivityDate = appUtils.getSStorageInfo("isActivityDate");
		var activityShowFs = appUtils.getSStorageInfo("activityShowFs");
		if(isActivityDate == "2")//是否有活动：2.有活动
		{
			if(activityShowFs=="0"){//显示方式：0.显示按钮后由客户点击显示,1.直接弹出弹出层，
				$(_pageId+" .ha_btn").show();
				$(_pageId+" .ha_btn a").html( appUtils.getSStorageInfo("activityName"));
			}else{
				$(_pageId+" .ha_btn").hide();
				$(_pageId).append(appUtils.getSStorageInfo("activitycss"));
				$(_pageId).append(appUtils.getSStorageInfo("activityhtml"));
			}
		}
		else
		{
			$(_pageId+" .ha_btn").hide();
		}
		if(appUtils.getSStorageInfo("_prePageCode") == "account/lucky")
			{
			   $(_pageId+" .ha_btn").hide();
			}
		// 从 session 中取资金账号和股东账号
		var shaselect = appUtils.getSStorageInfo("shaselect"),  // 是否选择沪A
			  szaselect = appUtils.getSStorageInfo("szaselect"),  // 是否选择深A
			  shfund_select = appUtils.getSStorageInfo("shfund_select"),  // 是否选择沪基金
			  szfund_select = appUtils.getSStorageInfo("szfund_select"),  // 是否选择深基金
		      fund_account = appUtils.getSStorageInfo("fund_account"),  // 资金账号
			  shaaccount = appUtils.getSStorageInfo("shaaccount"), // 沪A股东账户
			  szaaccount = appUtils.getSStorageInfo("szaaccount"),  // 深A股东账户
			  shfund_account = appUtils.getSStorageInfo("shfund_account"),  // 沪基金账户
			  szfund_account = appUtils.getSStorageInfo("szfund_account"), // 深基金账户
			  szbselect = appUtils.getSStorageInfo("szbselect"), //深B状态
			  shbselect = appUtils.getSStorageInfo("shbselect"), //沪B状态
			  szbaccount = appUtils.getSStorageInfo("szbaccount"), //深B账户
			  shbaccount = appUtils.getSStorageInfo("shbaccount"), //沪B账户
		      branchname = appUtils.getSStorageInfo("branchname"), //营业部名称
		      yyhselect = appUtils.getSStorageInfo("yyhselect"), //月月红
		      hacnselect = appUtils.getSStorageInfo("hacnselect"),  // 沪基金状态
			  zacnselect =  appUtils.getSStorageInfo("zacnselect"), // 深基金状态
			  hacn_account = appUtils.getSStorageInfo("hacn_account"), // 沪基金账户
			  zacn_account = appUtils.getSStorageInfo("zacn_account"); // 深基金账户
		 //显示开户营业部     
		if(branchname!=null&&branchname!=undefined&&branchname!="")
			{
			  $(_pageId+" .order_info dl:eq(0) dd").html(branchname);
			  if(appUtils.getSStorageInfo("openChannel") == "change")
				  {
				      $(_pageId+" .order_succes p:eq(1)").show();
				      $(_pageId+" .order_succes p:eq(2)").show();
				      $(_pageId+" .order_succes p:eq(1)").html("请您本人持有效身份证明文件、证券账户卡至原券商营业部申请沪市撤销指定交易、深市如持有股票还需办理转托管。（转入券商：华安证券"+branchname+"）");
				      $(_pageId+" .order_succes p:eq(2)").html("原券商指定交易撤销后，自行登录交易系统进行指定交易：点击\"买入\"，输入代码\"999999\"价格\"1\"，股数\"1\"");
				  }
			}
		else
			{
			  $(_pageId+" .order_info dl:eq(0)").hide();
			}
		// 判断资金账户是否开出
		if(fund_account != null&&fund_account!="")
		{
			//设置按钮显示提示文字
			if(appUtils.getSStorageInfo("openChannel") == "change")
			{
				if(appUtils.getSStorageInfo("finance") == "finance")
				{
					$(_pageId+" .order_succes h5:eq(0)").text("恭喜开户成功！");
				}
				else
				{
					$(_pageId+" .order_succes h5:eq(0)").text("恭喜转户成功！");
				}
			}
			else
			{
				$(_pageId+" .order_succes h5:eq(0)").text("恭喜开户成功！");
			}
			$(_pageId+" .order_succes p:eq(0)").hide();
			// 显示资金账户、股东账号的信息
			$(_pageId+" #zjzh").html("&nbsp;"+fund_account);
			$(_pageId+" .order_info dl:eq(8) dd").html("&nbsp;已开通");
		}
		else
		{
			$(_pageId+" .order_succes p:eq(0)").show();
			$(_pageId+" #zjzh").html("&nbsp;办理中...");
		}
		// 未开通深A
		if(szaselect == null||szaselect=="")
		{
			$(_pageId+" .order_info dl:eq(2) dd").html("&nbsp;未申请");
		}
		// 未开通沪A
		if(shaselect == null||shaselect=="")
		{
			$(_pageId+" .order_info dl:eq(3) dd").html("&nbsp;未申请");
		}
		// 未开通深基金
		if(zacnselect == null||zacnselect=="")
		{
			$(_pageId+" .order_info dl:eq(4) dd").html("&nbsp;未申请");
		}
		// 未开通沪基金
		if(hacnselect == null||hacnselect=="")
		{
			$(_pageId+" .order_info dl:eq(5) dd").html("&nbsp;未申请");
		}
		// 未开通月月红
		if(yyhselect == null||yyhselect=="")
		{
			$(_pageId+" .order_info dl:eq(6) dd").html("&nbsp;未申请");
		}
		// 开通了深A
		if(szaselect != null&&szaselect!="")
		{
			// 深A已经开出账号
			if(szaaccount != null&&szaaccount!="")
			{
				$(_pageId+" .order_succes p:eq(0)").hide();
				$(_pageId+" .order_info dl:eq(2) dd").html("&nbsp;"+szaaccount);
			}
			else
			{
				$(_pageId+" .order_succes p:eq(0)").show();
				$(_pageId+" .order_info dl:eq(2) dd").html("&nbsp;办理中...");
			}
		}
		// 开通了沪A
		if(shaselect != null&&shaselect!="")
		{
			// 沪A已经开出账号
			if(shaaccount != null&&shaaccount!="")
			{
				$(_pageId+" .order_succes p:eq(0)").hide();
				$(_pageId+" .order_info dl:eq(3) dd").html("&nbsp;"+shaaccount);
			}
			else
			{
				$(_pageId+" .order_succes p:eq(0)").show();
				$(_pageId+" .order_info dl:eq(3) dd").html("&nbsp;办理中...");
			}
		}
		// 开通了深基金
		if(zacnselect != null&&zacnselect!="")
		{
			// 深开放式基金已经开出账号
			if(hacn_account != null&&hacn_account!="")
			{
				$(_pageId+" .order_succes p:eq(0)").hide();
				$(_pageId+" .order_info dl:eq(4) dd").html("&nbsp;"+hacn_account);
			}
			else
			{
				$(_pageId+" .order_succes p:eq(0)").show();
				$(_pageId+" .order_info dl:eq(4) dd").html("&nbsp;办理中...");
			}
		}
		// 开通了沪基金
		if(hacnselect != null&&hacnselect!="")
		{
			// 沪开放式基金已经开出账号
			if(zacn_account != null&&zacn_account!="")
			{
				$(_pageId+" .order_succes p:eq(0)").hide();
				$(_pageId+" .order_info dl:eq(5) dd").html("&nbsp;"+zacn_account);
			}
			else
			{
				$(_pageId+" .order_succes p:eq(0)").show();
				$(_pageId+" .order_info dl:eq(5) dd").html("&nbsp;办理中...");
			}
		}
		// 开通了月月红
		if(yyhselect != null&&yyhselect!="")
		{
			if (fund_account != null&&fund_account!="") {
				$(_pageId + " .order_succes p:eq(0)").hide();
				$(_pageId + " .order_info dl:eq(6) dd").html("&nbsp;已完成");
			} else {
				$(_pageId + " .order_succes p:eq(0)").show();
				$(_pageId + " .order_info dl:eq(6) dd").html("&nbsp;办理中...");
			}
				
		}
		// 如果开出了上海账号，显示提示信息
//		if(($(_pageId+" .order_info").html()).indexOf("沪") != -1)
//		{
//			$(_pageId+" .order_succes p:eq(3)").html("注意：请登录交易系统进行上海账户的指定交易：点击\"买入\"，输入证券代码\"799999\"，价格\"1\"，股数\"1\"。");
//		}
		$(_pageId+" .order_succes .mt15").show();
	}
	
	
	
	var accountResult = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	
	/**
	 * 清除项目中的html
	 */
	/*$("#bodyContent .page").each(function(){
		$(this).remove();
	});*/
	
	
	
	module.exports = accountResult;
});