/**
 * 其他产品
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var common = require("common");
	var _pageId = "#finance_otherProMain ";
	
    /**
     * 初始化
     */
	function init() {
		common.bindStockEvent(_pageId); // 绑定头部菜单事件
		var showMain = appUtils.getSStorageInfo("showfinance");
		if(showMain == 0){
			$(_pageId+".bank_nav ul li:eq(0)").show();
			$(_pageId+".bank_nav ul li:eq(1)").show();
		}else if(showMain == 1){
			$(_pageId+".bank_nav ul li:eq(0)").hide();
			$(_pageId+".bank_nav ul li:eq(1)").show();
		}else if(showMain == 2){
			$(_pageId+".bank_nav ul li:eq(0)").show();
			$(_pageId+".bank_nav ul li:eq(1)").hide();
		}
		else if(showMain == 3){
			$(_pageId+".bank_nav ul li:eq(0)").hide();
			$(_pageId+".bank_nav ul li:eq(1)").hide();
		}
    }
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent() {
		// 返回按钮
		appUtils.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			pageBack();
		});
		// 查询页面事件跳转
		appUtils.bindEvent($(_pageId + ".bank_nav ul li a"), function(e){
			var topage = $(this).attr("to-page").replaceAll("_","/"); //获取跳转的页面
			var param =  $(this).attr("param");
			if(!param){
				param = "";
			}
			appUtils.setSStorageInfo("productType",param);
			appUtils.pageInit("finance/otherProMain",topage,{"param":param}); 
			e.stopPropagation();
		});

	}

	function destroy(){
	}
	
	/**
	 * 重写框架里面的pageBack方法
	 */
	function pageBack(){
		appUtils.pageInit("finance/otherProMain","account/index",{});
	}
	
	var base = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy,
		"pageBack": pageBack
	};
	module.exports = base;
});