/**
 * 新股-更多
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var _pageId = "#newshare_queryMoneyHistory ";
	var common = require("common");
	var dateUtils = require("dateUtils");
	var VIscroll = require("vIscroll");
	var vIscroll = {"scroll":null,"_init":false}; //上下滑动
	var begin_time = "";
	var end_time = "";
	
    /**
     * 初始化
     */
	function init() {
		common.systemKeybord(); // 解禁系统键盘
		common.bindStockEvent(_pageId);
		var now_time = new Date();
		begin_time = new Date(now_time.setMonth(now_time.getMonth() - 1));
	    begin_time = begin_time.format("yyyy-MM-dd");
		end_time = new Date().format("yyyy-MM-dd");
		$(_pageId+".data_check .inner .t1:eq(0)").val(begin_time);
		$(_pageId+".data_check .inner .t1:eq(1)").val(end_time);
		dateUtils.initDateUI("newshare_queryMoneyHistory");
		var height = $(window).height()-$(_pageId+".header").outerHeight() - $(_pageId+".data_check").outerHeight()-10;
		common.FixTable("weekhd",1,$(window).width(),height);
//		initVIScroll();
    }
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		appUtils.bindEvent($(_pageId+".top_title .icon_back"), function(e){
			appUtils.pageInit("newshare/queryMoneyHistory","newshare/more",{});
			e.stopPropagation();
		});
		
		//查询页面事件跳转
		appUtils.bindEvent($(_pageId + ".main .search_nav ul li a"), function(e){
			var topage = $(this).attr("to-page").replaceAll("_","/"); //获取跳转的页面
			appUtils.pageInit("newshare/more",topage); 
			e.stopPropagation();
		});
		
	}
	
	/**
	 * 初始化滑动组件
	 */
	function initVIScroll(){
		if(!vIscroll._init){
			var config = {
					"isPagingType": false,//false表示是微博那种累加形式，true表示分页形式
					"visibleHeight": $(window).height() - $(_pageId+".header").outerHeight()- $(_pageId+".data_check").outerHeight() ,//显示内容区域的高度，当isPaingType为false时传
					"container": $(_pageId+"#v_container_funds_jj"),	
					"wrapper":$(_pageId+"#v_wrapper_funds_jj"),	
					"downHandle": function() {
						downHandle();
					},
					"upHandle": function() {	
						upHandle();
					},
					"wrapperObj": null
			};
			vIscroll.scroll = new VIscroll(config); 	//初始化，需要做if(!hIscroll._init)判断
			vIscroll._init = true;
		} else {
			vIscroll.scroll.refresh();
		}
		$(_pageId+ " .visc_pullUp").hide();
	}
	
    
	/**
	 * 销毁
	 */
	function destroy(){
		
	}
	
	var base = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});