/**
 * 预售要约-解除
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var service_fund = require("service_fund");
	var global = gconfig.global;
	var layerUtils = require("layerUtils");
	var _pageId = "#yyh_yyhEdit ";
	var userInfo = null;
	var fund_company = "99";
	var fund_code = "BB1005";
	var editMoney = 0;
	var oldState = "正常";
	/**
     * 初始化
     */
	function init(){
		userInfo = JSON.parse(appUtils.getSStorageInfo("stock_userInfo"));
		common.bindStockEvent(_pageId); //绑定头部菜单事件
		$(_pageId+".main").css({"height":$(window).height()-$(_pageId+".header").height()});
		queryState();
		queryProductInfo();
    }
	
	/**
	 * 查询用户开通状态
	 */
	function queryState(){

		var cust_code = userInfo.cust_code;	// 客户代码
		var fund_account = userInfo.fund_account; // 资产账户
		var branch_no = userInfo.branch_no;	// 分支机构
		var sessionid = userInfo.session_id;
		var entrust_way = global.entrust_way; // 委托方式  在configurat
		var param={			
				"entrust_way":entrust_way,
				"branch_no":branch_no,
				"fund_account":fund_account,
				"password":userInfo.password,
				"cust_code":cust_code,
				"sessionid":sessionid,
				"e":"x"
		};
		service_fund.fundOpenYYH(param,function(data){
			if(data.error_no == 0){
				appUtils.setSStorageInfo("yyh_state",data.results[0].ofcash_status);
				appUtils.setSStorageInfo("yyh_statecct",data.results[0].ofcashacct_status);
				if(data.results[0].ofcashacct_status != "0"){
					$(_pageId+".btn_box").addClass("disable");
					$(_pageId+".state_box").html("<strong2 style='padding:0 0.15rem;display:block;font-weight:normal;'>产品状态<span>"+data.results[0].status_name+"<span></strong2>");
				}else{
					$(_pageId+".btn_box").removeClass("disable");
				}
			}
		});
		
	}
	
	function queryProductInfo(){
		var cust_code = userInfo.cust_code;	// 客户代码
		var fund_account = userInfo.fund_account; // 资产账户
		var branch_no = userInfo.branch_no;	// 分支机构
		var sessionid = userInfo.session_id;
		var entrust_way = global.entrust_way; // 委托方式  在configurat
		var param={			
				"entrust_way":entrust_way,
				"branch_no":branch_no,
				"fund_account":fund_account,
				"cust_code":cust_code,
				"sessionid":sessionid
		};
		service_fund.fundProductYYH(param,function(data){
			if(data.error_no == 0){
				if(data.results.length>0){
					editMoney = data.results[0].ofcash_balance;
					if(Number(data.results[0].ofcash_amount) == 0){
						$(_pageId+".money_input").find("input").val(data.results[0].ofcash_balance).css({"width":"50%"});
						$(_pageId+".money_input").find("em").text("元  不参与月月红");
					}else{
						$(_pageId+".money_input").find("input").val(data.results[0].ofcash_balance).css({"width":"100%"});
					}
					$(_pageId+".cash_input p span").html("<em>"+data.results[0].ofcash_amount+"</em>元");
					if(data.results[0].ofcashacct_status == 0){
						$(_pageId+".state_box").html("<strong>产品状态<span></span></strong><ul style='display:none'></ul>");
						if(data.results[0].ofcash_status == 0){		
							$(_pageId+".state_box span").html("正常");
							$(_pageId+".state_box ul").html("<li data-id=0><a href=\"javascript:void(0);\">暂停</a></li>");
						}else{
							$(_pageId+".state_box span").html("暂停");
							$(_pageId+".state_box ul").html("<li data-id=1><a href=\"javascript:void(0);\">正常</a></li>");
						}		
					}
					appUtils.bindEvent($(_pageId+".state_box strong"),function(e){
						$(_pageId+".state_box ul").slideToggle("fast");
						e.stopPropagation();
					},"click");
					
					
					appUtils.bindEvent($(_pageId),function(e){
						$(_pageId+".state_box ul").hide();					
					},"click");
					appUtils.bindEvent($(_pageId+".state_box ul li"),function(e){
						var state = $(_pageId+".state_box strong span").text();
						oldState = state;
						$(_pageId+".state_box strong span").text($(this).find("a").text());
						$(this).find("a").text(state);
					},"click");
				}else{
					if($(_pageId+".cash_input p span em").text() == "0"){
						$(_pageId+".money_input").find("input").val(0).css({"width":"50%"});
						$(_pageId+".money_input").find("em").text("元  不参与月月红");
					}
					appUtils.bindEvent($(_pageId+".state_box ul li"),function(e){
						var state = $(_pageId+".state_box strong span").text();
						oldState = state;
						$(_pageId+".state_box strong span").text($(this).find("a").text());
						$(this).find("a").text(state);
					},"click");
						
				}
			}else{
				layerUtils.iAlert(data.error_info);
			}
		});
		
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		appUtils.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			pageBack();
			e.stopPropagation();
		},"click");
		
		appUtils.bindEvent($(_pageId + ".tab_box ul li"), function(e){
			var toPage = $(this).attr("toPage");
			if(toPage == "yyh_yyhCache"){
				layerUtils.iMsg(0,"该功能正在完善中！");
			}else{
				appUtils.pageInit("yyh/yyhEdit",toPage.replace("_","/"));
			}
			
			e.stopPropagation();
		},"click");
		
		
		
		appUtils.bindEvent($(_pageId+".btn_box a"),function(e){
			editProduct();
			e.stopPropagation();
		},"click");
	}
	
	function editProduct(){
		if(appUtils.getSStorageInfo("yyh_statecct") !="0"){
//			layerUtils.iAlert("产品状态不正常");
//			$(_pageId+".state_box span").text(oldState);
//			if(oldState == "正常"){
//				$(_pageId+".state_box ul li a").text("暂停");
//			}else{
//				$(_pageId+".state_box ul li a").text("正常");
//			}
			return false;
		}
		var cust_code = userInfo.cust_code;	// 客户代码
		var fund_account = userInfo.fund_account; // 资产账户
		var branch_no = userInfo.branch_no;	// 分支机构
		var sessionid = userInfo.session_id;
		var entrust_way = global.entrust_way; // 委托方式  在configurat
		var ofcash_balance = $(_pageId+".money_input").find("input").val();
		var ofcash_status = 0;
		var str = $(_pageId+".state_box span").text();
		if(str == "正常"){
			ofcash_status = 0;
		}else{
			ofcash_status = 1;
		}
		var param={			
				"entrust_way":entrust_way,
				"branch_no":branch_no,
				"fund_account":fund_account,
				"password":userInfo.password,
				"cust_code":cust_code,
				"sessionid":sessionid,
				"fund_company":fund_company,
				"fund_code":fund_code,
				"ofcash_balance":ofcash_balance,
				"ofcash_status":ofcash_status
		};
		service_fund.fundEditYYH(param,function(data){
			if(data.error_no == 0){
				layerUtils.iAlert("修改成功！");
				queryProductInfo();
			}else{
				$(_pageId+".money_input").find("input").val(editMoney);
				layerUtils.iAlert(data.error_info);
				$(_pageId+".state_box span").text(oldState);
				if(oldState == "正常"){
					$(_pageId+".state_box ul li a").text("暂停");
				}else{
					$(_pageId+".state_box ul li a").text("正常");
				}
			}
		});
	}
	
	/**
	 * 销毁
	 */
	function destroy(){
		$(_pageId+".state_box ul").hide();	
	}
	
	/**
	 * 重写框架里面的pageBack方法
	 */
	function pageBack(){
		appUtils.pageInit("yyh/yyhEdit","account/index");
	}
	
	var base = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy,
		"pageBack": pageBack
	};
	module.exports = base;
});