/**
 * 到期还款保证金不足
 */
define(function(require, exports, module){
	/*模块内部全局变量*/
	var appUtils = require("appUtils"),
		layerUtils = require("layerUtils"),
		utils = require("utils"),
		validatorUtil = require("validatorUtil"),
		formatNum = require("formatNum"),
		gconfig = require("gconfig"),
		global = gconfig.global,
		service = require("mobileService_xdt"),  //业务层接口，请求数据
		pageInParam = null,
		_pageId = "#business_repayInsufficientPage";
	
	/*页面初始化方法*/
	function init()
	{
		pageInParam = appUtils.getPageParam();
		$(_pageId+" section").height($(window).height()-$(_pageId+" header").height()+'px').css("overflow","auto");
		//填充
		fillrepayInsufficient();
	}
	
	/*
	 * 填充
	 */
	function fillrepayInsufficient(){
		//
		$(_pageId+" .PledgeFailure .MicrofinanceTop p:eq(0)").html('借款金额：'+formatNum.formatMoney(pageInParam.currBorrMoney)+'元');
		$(_pageId+" .PledgeFailure .MicrofinanceTop p:eq(1)").html('账户可用资金：'+formatNum.formatMoney(pageInParam.current_balance)+'元');
		var haicha = pageInParam.currBorrMoney-pageInParam.current_balance-pageInParam.interest;
		$(_pageId+" .PledgeFailure .MicrofinanceTop p:eq(2)").html('还差：'+formatNum.formatMoney(haicha)+'元');
//		$(_pageId+" .PledgeFailure .tips br:gl(0)").html('				您的资金账户余额不足，还差'+formatNum.formatMoney((pageInParam.currBorrMoney-pageInParam.current_balance))+'元，');
		$(_pageId+" .PledgeFailure .tips").html('				您本次还款可用资金不足，还差'+formatNum.formatMoney(haicha)
				+'元，<br/>你是否要<!--<a href="javascript:void(0);">出售股票</a>或是--><a href="javascript:void(0);">银证转账</a>');
		
		/*绑定出售股票 和 银行转账 */
		appUtils.bindEvent($(_pageId+" .PledgeFailure .tips a"), function(e){
			var index = $(this).text();
			switch(index){
			case "银证转账" :
				appUtils.pageInit("business/repayInsufficientPage","trade/banking/transfer/transfer");
					break;
			}
			e.stopPropagation();
		});
	}
	
	/*绑定页面事件的方法*/
	function bindPageEvent()
	{
		/*返回*/
		appUtils.bindEvent($(_pageId+" .xdt"), function(e){
			$(this).addClass("active");
			e.stopPropagation();
		},"touchstart");
		/*返回*/
		appUtils.bindEvent($(_pageId+" .xdt"), function(e){
			$(this).removeClass("active");
			appUtils.pageBack();
			e.stopPropagation();
		},"touchend");
		
		appUtils.bindEvent($(_pageId+" .PledgeFailure .PubBtn"), function(e){
			var flag = $(this).hasClass("PubBtnTwo");
			if(!flag){
				appUtils.pageInit("business/repayInsufficientPage","trade/banking/transfer/transfer");
			}else{
			}
			e.stopPropagation();
		});
	}
	
	/*页面销毁方法*/
	function destroy()
	{
		service.destroy();
	}
	
	/*向外暴露的 JSON 对象*/
	var repayInsufficientPage = {
			"init" : init,
			"bindPageEvent" : bindPageEvent,
			"destroy" : destroy
	};
	
	/*对外暴露 JSON 对象*/
	module.exports = repayInsufficientPage;
});