﻿/**
 * 我 首页
 */
define(function (require, exports, module) {
    /* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils");
    var layerUtils = require("layerUtils");
    var gconfig = require("gconfig");
    var mobileService = require("mobileService");
    var common = require("common");
    var _pageId = "#me_myAccount";

    function init() {

    }

    function bindPageEvent() {
        //返回
        appUtils.bindEvent($(_pageId + " .icon_back"), function () {
            appUtils.pageBack();
//            appUtils.pageInit("me/myAccount", "me/myIndexYes");
        });
        //账户管理
        appUtils.bindEvent($(_pageId + " .my_navlist li:eq(0)"), function () {
            common.onEvent("click", "me_account_manager");   // 友盟统计
            appUtils.pageInit("me/myAccount", "me/accountManagement", {});
        });
        //银行卡管理
        appUtils.bindEvent($(_pageId + " .my_navlist li:eq(1)"), function () {
            common.onEvent("click","bank_card_manager");
            appUtils.pageInit("me/myAccount", "me/bankManages", {});
        });

        //账户安全
        appUtils.bindEvent($(_pageId + " .my_navlist li:eq(2)"), function () {
            appUtils.pageInit("me/myAccount", "me/accountSecurity", {});
        });
    }

    //销毁
    function destroy() {
        mobileService.destroy();
    }

    var myAccount = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };
    module.exports = myAccount;
});
