﻿define(function (require, exports, module) {
    /* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils"),
        layerUtils = require("layerUtils"),
        gconfig = require("gconfig"),
        global = gconfig.global,
        mobileService = require("mobileService"),
        _pageId = "#me_myPositionChart";

    var type = "";   //stock 股票， otc 场外基金

    function init() {
        type = appUtils.getPageParam("type");
        if (type === "stock") {
//            queryStockPosition();
        }
        else if (type === "otc") {
//            queryOTCPosition();
        }
    }

    function bindPageEvent() {
        //返回
        appUtils.bindEvent($(_pageId + " .icon_back"), function () {
            appUtils.pageBack();
//            appUtils.pageInit("me/myPositionChart", "me/takePosition", {});
        });
    }

    //销毁
    function destroy() {
        mobileService.destroy();
    }

    /*格式  %   */
    function formatscale(s, n) {
        n = n > 0 && n <= 20 ? n : 2;
        s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";
        var l = s.split(".")[0].split("").reverse(), r = s.split(".")[1];
        t = "";
        for (i = 0; i < l.length; i++) {
            t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");
        }
        return t.split("").reverse().join("") + "." + r + "%";
    }

    var myPositionChart = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };
    module.exports = myPositionChart;
});
