﻿define(function (require, exports, module) {
    /* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils"),
        layerUtils = require("layerUtils"),
        gconfig = require("gconfig"),
        global = gconfig.global,
        validatorUtil = require("validatorUtil");
    _pageId = "#twoFinancial_tfLogin";
    var mobileService = require("mobileService");

    function init() {

    }

    function bindPageEvent() {
        //返回
        appUtils.bindEvent($(_pageId + " .icon_back"), function () {
            appUtils.pageBack();
        });

        appUtils.bindEvent($(_pageId + " #btn_login"), function () {
            var password = $(_pageId + " #password").val();
            if (validatorUtil.isEmpty(password)) {
                layerUtils.iAlert("请输入密码");
                return;
            }

            appUtils.pageInit("twoFinancial/tfLogin", "twoFinancial/twoFinancial", {"password": password});
        });
    }

    //销毁
    function destroy() {
        $(_pageId + " #password").val("");
        mobileService.destroy();
    }

    var tfLogin = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };
    module.exports = tfLogin;
});
