//我的理财首页
//@版本: 2.0 
define(function(require, exports, module) {
	var appUtils = require("appUtils"), dateUtils = require("dateUtils"), layerUtils = require("layerUtils"), validatorUtil = require("validatorUtil"), service = require("mobileService"), endecryptUtils = require("endecryptUtils"), external = require("external"), _pageId = "#userCenter_index";
	var gconfig = require("gconfig");
	var platform = require("gconfig").platform;
	var client_id = "";
	var fund_account = "";
	var login_pwd = "";
	var user_name = "";
	var is_login = "";//是否登录

	function init() {

		is_login = appUtils.getSStorageInfo("is_login");
		client_id = appUtils.getSStorageInfo("client_id"); //fund_account =
		fund_account = appUtils.getSStorageInfo("fund_account");
		login_pwd = appUtils.getSStorageInfo("trade_pwd");
		user_name = appUtils.getSStorageInfo("client_name");
		external.callMessage({"key":"isMyfinal","value":"1","funcNo": "50040"});
		
		console.log("______"+fund_account);
		/*fund_account = "110028995";
		client_id = "110028995";
		login_pwd = "999999";*/
		login();//每次进入这个页面加载刷新  需登录一下
		/*if(is_login=="1"){
			lodProdTotal();// 加载总资产
		}else{
			
		}*/
		$(_pageId + " #user_name").text(user_name);
	}

	// 绑定事件
	function bindPageEvent() {
		appUtils.bindEvent($(_pageId + " .zc_contmain li"), function() {
			if ($(this).children("span").text() == "基金理财") {
				 appUtils.pageInit("userCenter/index","userCenter/myfinal",{});
			}
			if ($(this).children("span").text() == "华安理财") {
				 appUtils.pageInit("userCenter/index","userCenter/myhafianl",{});
			}
		});
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageInit("userCenter/index","me/myIndexYes",{});
        });
		appUtils.bindEvent($(_pageId+" .check_more"),function(){
			external.callMessage({"moduleName":"com.cairh.app.sjkh.sc","funcNo": "50101"});
        });
	}

	function lodProdTotal() {// 加载总资产
		service.getRSAKey({},function(data){
			if (data.error_no == "0"){
		            var modulus =  data.results[0].modulus;
				    var publicExponent = data.results[0].publicExponent;
				    login_pwd = endecryptUtils.rsaEncrypt(modulus, publicExponent, login_pwd);
					var param = {
							"client_id" : client_id,
							"fund_account" : client_id,
							"login_pwd" : login_pwd
						};

						service.fundProdToalasset(param, function(data) {
							if (data.error_no == 0) {
								var result = data.results;
								var income_balance = result[0].income_balance;
								var yesterday_income = "暂无";
								if(income_balance=="0"||income_balance=="0.0"){
									yesterday_income = "暂无";
									income_balance = "暂无";
								}
								$(_pageId + " #totalProd").text(result[0].prod_market_value);//总资产
								$(_pageId + " #ha_final_total").text(result[0].hafinal_market_value);//华安理财资产
								$(_pageId + " #final_total").text(result[0].fundFinal_market_value);//基金理财资产
								$(_pageId + " #yesterday_Profit").text(yesterday_income);//昨日收益
								$(_pageId + " #total_Profit").text(income_balance);//累计收益
							} else {
								layerUtils.iAlert(data.error_info);
							}
						});
			}else{
				layerUtils.iAlert(data.error_info);
			}
		});
		
	}

	function login(){
		service.getRSAKey({},function(data){
			if (data.error_no == "0"){
		            modulus =  data.results[0].modulus;
				    publicExponent = data.results[0].publicExponent;
					zc_pwd = endecryptUtils.rsaEncrypt(modulus, publicExponent, login_pwd);
					var param={									  
							"login_value":fund_account,
							"login_pwd":zc_pwd,
							"login_type":"9",
							"fund_account":fund_account
					};
					service.loginyanzhen(param,function(data){ 
						if(data.error_no==0){
							lodProdTotal();// 加载总资产
							appUtils.setSStorageInfo("is_login", "1");
						}else{
							layerUtils.iAlert(data.error_info);
						}
						
					});
			}else{
				layerUtils.iAlert(data.error_info);
			}
		});
		
	
	}
	
	function destroy() {

	}

	var index = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = index;
});