 // 华安理财
 //@版本: 2.0 
define(function(require, exports, module){ 
	var appUtils = require("appUtils"),
	    dateUtils = require("dateUtils"),
		layerUtils = require("layerUtils"),
		validatorUtil = require("validatorUtil"),
		service = require("mobileService"),
		endecryptUtils = require("endecryptUtils"),
		external = require("external"),
		_pageId = "#userCenter_myhafianl";
	var	gconfig = require("gconfig");
    var	 platform = require("gconfig").platform;
	 var i=60;
	 var Timer;
	 var fund_account = "";
	 var login_pwd = "";
	 var client_id = "";
	function init(){
		client_id = appUtils.getSStorageInfo("client_id");
        fund_account = appUtils.getSStorageInfo("fund_account");
        login_pwd = appUtils.getSStorageInfo("trade_pwd");
       /* fund_account = "110028995";
		client_id = "110028995";
		login_pwd = "999999";*/
		loadFinalProd();
	}

	//绑定事件
	function bindPageEvent(){
		appUtils.bindEvent($(_pageId + " .icon_back"), function() {
			appUtils.pageInit("userCenter/myhafianl","userCenter/index",{});
		});
		appUtils.bindEvent($(_pageId + " #tab_nav li"), function() {
			if ($(this).children("a").text() == "我的持仓") {
				 $(this).siblings().removeClass();
				 $(this).addClass("current");
				 $(_pageId+" #final_list").show();
				 $(_pageId+" #final_list_redeemed").hide();
			}
			if ($(this).children("a").text() == "我的委托") {
				 $(this).siblings().removeClass();
				 $(this).addClass("current");
				 $(_pageId+" #final_list_redeemed").show();
				 $(_pageId+" #final_list").hide();
			}
		});
	}
	
	//加载华安理财  委托查询
	function loadHafinal(){
		service.getRSAKey({},function(data){
			if (data.error_no == "0"){
		            var modulus =  data.results[0].modulus;
				    var publicExponent = data.results[0].publicExponent;
				    var z_pwd = endecryptUtils.rsaEncrypt(modulus, publicExponent, login_pwd);
					var param = {
							"fund_account":fund_account,
							"login_pwd":z_pwd,
							"product_type":"1"
					};
					service.secumEntrustQry(param,function(data){
						if (data.error_no == 0) {
							var result = data.results[0].data;
//							var str = "";//未赎回产品
							var str_redeemed = "";//已赎回产品
							for(var i=0;i<result.length;i++){
								var entrust_status = result[i].entrust_status;//赎回状态
								var entrust_kind = "";//支付、赎回方式
								var pay_kind = result[i].pay_kind;//支付方式
								var pay_img = "";
								var invpay_status = result[i].invpay_status;//支付状态
								var pay_status = "";
								var bank_no = result[i].bank_no;//银行代码
								var bankpng = "";
								//根据不同银行显示不同图标
								if(bank_no=='0303'){//光大银行
									bankpng = 'images/bank/bk07.png';
								}else if(bank_no=='0302'){//中信银行
									bankpng = 'images/bank/bk15.png';
								}else if(bank_no=="0105"){//建设银行
									bankpng = 'images/bank/bk04.png';
								}else if(bank_no=='0100'){//邮储银行
									bankpng = 'images/bank/70youzheng.png';
								}else if(bank_no=="0102"){//工商银行
									bankpng = 'images/bank/bk02.png';
								}else if(bank_no=='0103'){//农业银行
									bankpng = 'images/bank/bk03.png';
								}else if(bank_no=="0104"){//中国银行
									bankpng = 'images/bank/bk01.png';
								}else if(bank_no=='0301'){//交通银行
									bankpng = 'images/bank/bk06.png';
								}else if(bank_no=="0305"){//民生银行
									bankpng = 'images/bank/bk16.png';
								}else if(bank_no=="0306"){//广发银行
									bankpng = 'images/bank/bk09.png';
								}else if(bank_no=='0307'){//深圳发展银行
									bankpng = 'images/bank/bk03.png';
								}else if(bank_no=="0308"){//招商银行
									bankpng = 'images/bank/bk05.png';
								}else if(bank_no=='0309'){//兴业银行
									bankpng = 'images/bank/bk10.png';
								}else if(bank_no=="0410"){//平安银行
									bankpng = 'images/bank/bk08.png';
								}
								//校验支付方式
								if(pay_kind=='0'){
									pay_img = 'images/zh_img01.png';
				            		entrust_kind = "保证金账户";
				            	}else if(pay_kind=='1'){
				            		var pay_acount = result[i].pay_account;
				            		pay_acount = pay_acount.substring(pay_acount.length-4,pay_acount.length);
				            		pay_img = bankpng;
				            		entrust_kind = "第三方 尾号"+pay_acount;
				            	}else if(pay_kind=='2'){
				            		var pay_acount = result[i].pay_account;
				            		pay_acount = pay_acount.substring(pay_acount.length-4,pay_acount.length);
				            		pay_img = bankpng;
				            		entrust_kind = "银行卡 尾号"+pay_acount;
				            	}
								
								//校验支付状态
								if(invpay_status == '0'){
									pay_status = "未处理";
								}else if(invpay_status == '1'){
									pay_status = "已确认";
								}else if(invpay_status == '2'){
									pay_status = "成功";
								}else if(invpay_status == '3'){
									pay_status = "失败";
								}
								
								str_redeemed+='<li><div class="title"><p>订单编号：'+result[i].allot_no +'</p>';
								str_redeemed+='<span class="status ing">'+pay_status+'</span></div>';
								str_redeemed+='<div class="cont"><h5>'+result[i].prod_name+'</h5>';
								str_redeemed+='<p>'+result[i].entrust_date+' '+result[i].entrust_time+'</p></div>';
								str_redeemed+='<div class="info"><div class="zh"><img src="'+pay_img+'"><span>'+entrust_kind+'</span></div>';
								str_redeemed+='<span class="money expend">'+result[i].entrust_balance+'</span></div></li>';	
			                    
							}
//							$(_pageId+" #final_list ul").html(str);
							$(_pageId+" #final_list_redeemed ul").html(str_redeemed);
						} else {
							layerUtils.iAlert(data.error_info);
						}
					});
			}else{
				layerUtils.iAlert(data.error_info);
			}
		});
		
	}

	//加载持仓
	function loadFinalProd(){
		service.getRSAKey({},function(data){
			if (data.error_no == "0"){
		            var modulus =  data.results[0].modulus;
				    var publicExponent = data.results[0].publicExponent;
				    var z_pwd = endecryptUtils.rsaEncrypt(modulus, publicExponent, login_pwd);
					var param = {
							"fund_account":fund_account,
							"login_pwd":z_pwd,
							"product_type":"1"
					};
					service.secumShareQry(param,function(data){
						var result = data.results[0].data;
						var str = "";//未赎回产品
						for(var i=0;i<result.length;i++){
							str+='<li><span class="fund_number">'+result[i].current_amount+'</span>';
			            	str+='<h5 class="title">'+result[i].prod_name+'</h5>';
			            	str+='<div class="ui layout cont"><dl class="row-1"><dt>+产品净值(元)</dt>';
			                str+='<dd><span>'+result[i].nav+'</span></dd></dl>';
			                str+='<dl class="row-1"><dt>最新市值(元)</dt><dd>'+result[i].market_value+'</dd></dl></div>';
			                str+='<div class="opea"><span class="opea_btn" productcode="'+result[i].prod_code+'" proType="'+result[i].prod_type+'">';
			                str+='<a href="javascript:void(0);">赎回</a>';
			                str+='<a href="javascript:void(0);">申购</a></span></div></li>';
						
						}
						$(_pageId+" #final_list ul").html(str);
						appUtils.bindEvent($(_pageId+" .opea span a"), function(){
							var product_code = $(this).parent().attr("productcode");//产品编号
							var state = $(this).text();
							var param ="";
							if(state == "申购"){
								var proType = $(this).parent().attr("proType");//
								param = {"type":"0","toPage":product_code,"proType":proType};
							}else if(state == "赎回"){
								param = {"type":"1","toPage":product_code};
							}
							external.callMessage({"moduleName":"com.cairh.app.sjkh.sc","funcNo": "50101","params":param});
						});
						loadHafinal();
					});
			}else{
				layerUtils.iAlert(data.error_info);
			}
		});
		
	}
	
	function destroy(){
		
	}

	var myhafianl = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = myhafianl;
});