 // 选择营业部
 //@版本: 2.0 
define(function(require, exports, module){ 
	var appUtils = require("appUtils"),
    dateUtils = require("dateUtils"),
	layerUtils = require("layerUtils"),
	validatorUtil = require("validatorUtil"),
	common = require("common"),
	service = require("investService"),
		_pageId = "#account_businessDepartment";
	 var identity="";
	 var shi_shuzu="";
	 var ting_shuzu="";
	 //省份城市营业厅的名称
	 var shi_text="";
	 var tin_text="";
	 var sheng_text="";
	 //省份城市营业厅的编号
	 var shi_cityno="";
	 var tin_branchcode=""
	 var sheng_provinceno="";	 
	
	function init(){
		
		layerUtils.iLoading(true,"定位中...");
		getGeolocation();
   
	}
	function cityQuery(identity,citiNames){
		
		 var param={
			};
			service.salesDepartmentInquiry(param,function(data){ 
				if(data.error_no==0){
					var shengfeng="";
					var chengshi="";
					for(var i=0;i<data.provinceList.length;i++){
						var provincename=data.provinceList[i].provincename;
						var provinceno  =data.provinceList[i].provinceno;
						
						if(provincename==identity){
							layerUtils.iLoading(false);
			    			$(_pageId+" #sheng_f").html(identity);
			    			$(_pageId+" #sheng_f").attr("provinceno",provinceno);
			    			sheng_text = provincename;
			    			sheng_provinceno=provinceno;
			    			shengfeng+="<li class='active'><span provinceno="+provinceno+" >"+provincename+"</span></li>";
			    			continue;
						}
						
						shengfeng+="<li><span provinceno="+provinceno+" >"+provincename+"</span></li>";
						
					}
					$(_pageId+" #sheng_ul").html(shengfeng);
				    var pr_ovin=$(_pageId+" #sheng_f").attr("provinceno");
				     shi_shuzu=data.cityList;
				     ting_shuzu=data.branchList;
				     if(pr_ovin!="" && pr_ovin.length>0 && pr_ovin!=undefined){
						    for(var i=0;i<data.cityList.length;i++){
								var citynos=data.cityList[i].cityno;
								var cityname  =data.cityList[i].cityname;
								var provincenno  =data.cityList[i].provincenno;
								
								if(pr_ovin==provincenno){
									if(citiNames==cityname){
										var ting="";
										$(_pageId+" #cheng_s").html(citiNames);
										 for(var i=0;i<ting_shuzu.length;i++){
												var branchcode=ting_shuzu[i].branchcode;
												var branchname  =ting_shuzu[i].branchname;
												var cityno  =ting_shuzu[i].cityno;
												
												if(cityno==citynos){
													shi_cityno = cityno;
													shi_text  =cityname;	
													ting+="<li><span branchcode="+branchcode+" >"+branchname+"</span></li>";
												}		
										    }
										    $(_pageId+" #tin_ul").html(ting);
										    $(_pageId+"  #yin_yt").html("请选择");
										    tin_branchcode="";
									}
									chengshi+="<li><span cityno="+citynos+" >"+cityname+"</span></li>";
								}		
						    }
						    $(_pageId+" #shi_ul").html(chengshi);
				     }
				    
				}else{
					
					layerUtils.iAlert(data.error_info);
				}
				
			});
			
	}
	
	/**

	 * 获取地理定位信息，使用腾讯地图进行定位

	 * @param getSuccFunc 获取成功的回调函数回调函数

	 */

	function getGeolocation(getSuccFunc)
	{

		var succResult = {}; // 请求位置成功的结果

		var geolocation = new soso.maps.Geolocation();

		var positionParam = {

			locationMode: "CLIENT_IP" // ip定位

		};

		var positionCallback = function(data, status){
			if(status === "OK")
			{
				if(data && data.latLng)
				{
					succResult.latitude = data.latLng.lat; // 纬度
					succResult.longitude = data.latLng.lng; // 经度
					var geocoder = new soso.maps.Geocoder();
					geocoder.geocode({'location': data.latLng}, function(results, status) {
				        if (status == soso.maps.GeocoderStatus.OK) {
				        	identity=results.addressComponents.province;
				        	var citiName = results.addressComponents.city;
				        	if(identity!=""&&identity!=undefined){
				        		cityQuery(identity,citiName);	
				    		}else{
				    			layerUtils.iLoading(false);
				    			layerUtils.iAlert("定位失败");
				        		cityQuery("0","0");	
				    		}
				        } else {
				        	layerUtils.iLoading(false);
				        	layerUtils.iAlert("检索没有结果，原因: " + status);
				        	cityQuery("0","0");
				        }
				    });
				}else{
					layerUtils.iLoading(false);
					layerUtils.iAlert("定位失败");
					cityQuery("0","0");
				}
			}
			if(getSuccFunc)
			{
		     	getSuccFunc(succResult);
			}
		};
		geolocation.position(positionParam, positionCallback);
	}
	
	
	//绑定事件
	function bindPageEvent(){
		
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		/*
		 * **************对市的操作
		 * 
		 * */
		//弹出选取市
		appUtils.bindEvent($(_pageId+" #cheng_s"),function(){	
			$(_pageId+" #xz_shi").attr("style", "display:block;");
		
		});
		//关闭选择市
//		appUtils.bindEvent($(_pageId+" #shi_queding"),function(){	
//			
//		});
		//点击市操作
		appUtils.preBindEvent($(_pageId+"  #shi_ul"),"li",function(){	
			 $(this).attr("class","active");	
			 $(this).siblings().removeAttr("class","active");
			 shi_text  =$(this).find("span").text();	
			 shi_cityno=$(this).find("span").attr("cityno");
			 $(_pageId+" #xz_shi").attr("style", "display:none;"); 
				if(shi_text!="" && shi_text.length>0 && shi_text!=undefined ){
					var ting="";
					$(_pageId+" #cheng_s").html(shi_text);
					  for(var i=0;i<ting_shuzu.length;i++){
							
							var branchcode=ting_shuzu[i].branchcode;
							var branchname  =ting_shuzu[i].branchname;
							var cityno  =ting_shuzu[i].cityno;
							
							if(cityno==shi_cityno){
								ting+="<li><span branchcode="+branchcode+" >"+branchname+"</span></li>";
							}		
					    }
					    $(_pageId+" #tin_ul").html(ting);
					    $(_pageId+"  #yin_yt").html("请选择");
					    tin_branchcode="";
				}
		},'click');
		
		
		
		/*
		 * **************对厅的操作
		 * 
		 * */
		//弹出选取厅
		appUtils.bindEvent($(_pageId+" #yin_yt"),function(){	
			$(_pageId+" #xz_yyt").attr("style", "display:block;");
		
		});
		//关闭选择厅
//		appUtils.bindEvent($(_pageId+" #ting_queidng"),function(){	
//					
//		});
		//点击厅操作
		appUtils.preBindEvent($(_pageId+"  #tin_ul"),"li",function(){	
			 $(this).attr("class","active");	
			 $(this).siblings().removeAttr("class","active");
			 tin_text  =$(this).find("span").text();	
			 tin_branchcode=$(this).find("span").attr("branchcode");
			 $(_pageId+" #xz_yyt").attr("style", "display:none;"); 
				if(tin_text!="" && tin_text.length>0 && tin_text!=undefined ){
					$(_pageId+" #yin_yt").html(tin_text);
				}	
		},'click');
		
		
		/*
		 * **************对省的操作
		 * 
		 * */
		
		//弹出选取省份
		appUtils.bindEvent($(_pageId+" #sheng_f"),function(){	
			$(_pageId+" #xz_sheng").attr("style", "display:block;");
		
		});
		//关闭选择省
//		appUtils.bindEvent($(_pageId+" #sheng_queding"),function(){	
//			
//			
//			
//		});
		//点击省操作
		appUtils.preBindEvent($(_pageId+"  #sheng_ul"),"li",function(){	
			 $(this).attr("class","active");	
			 $(this).siblings().removeAttr("class","active");
			 sheng_text  =$(this).find("span").text();	
			 sheng_provinceno=$(this).find("span").attr("provinceno");
			 $(_pageId+" #xz_sheng").attr("style", "display:none;"); 
				
				if(sheng_text!="" && sheng_text.length>0 && sheng_text!=undefined ){
					var shi="";
					$(_pageId+" #sheng_f").html(sheng_text);
					  for(var i=0;i<shi_shuzu.length;i++){
							
							var cityno=shi_shuzu[i].cityno;
							var cityname  =shi_shuzu[i].cityname;
							var provincenno  =shi_shuzu[i].provincenno;
							
							if(provincenno==sheng_provinceno){
								shi+="<li><span cityno="+cityno+" >"+cityname+"</span></li>";
							}		
					    }
					    $(_pageId+" #shi_ul").html(shi);
					$(_pageId+" #sheng_f").html(sheng_text);
					$(_pageId+"  #cheng_s").html("请选择");
					$(_pageId+"  #yin_yt").html("请选择");
				    tin_branchcode="";
					shi_cityno="";
					 
				}
		},'click');
		
		
		appUtils.bindEvent($(_pageId+" .ce_btn"),function(){
			//友盟统计
			var yCount = $(this).attr("yCount");
			yCount?common.onEvent('click',yCount):"";
			 if(sheng_provinceno==""){
				 layerUtils.iAlert("请选择对应的省份");
			 }else if(shi_cityno==""){
				 layerUtils.iAlert("请选择对应的城市");
			 }else if(tin_branchcode==""){
				 layerUtils.iAlert("请选择对应的营业厅");

			 }else{
				 var param={
          				"user_id":appUtils.getSStorageInfo("user_id"),
          		        "province_name":sheng_text,
          		        "province_no":sheng_provinceno,
          		        "city_name":shi_text,
          		        "city_no":shi_cityno,
          		        "branch_name":tin_text,
          		        "branch_code":tin_branchcode
          			};
				 service.addBranch(param,function(data){
					 if(data.error_no==0){
						 appUtils.pageInit("account/businessDepartment", "account/riskTesting",{});
					 }else{
						 layerUtils.iAlert(data.error_info);
					 }
				 });
					
			 }

			
		})
		
	}
	
	
	
	function destroy(){
		
	}

	var businessDepartment = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = businessDepartment;
});