 // 风险测评结果
 //@版本: 2.0 
define(function(require, exports, module){ 
	var appUtils = require("appUtils"),
    dateUtils = require("dateUtils"),
	layerUtils = require("layerUtils"),
	validatorUtil = require("validatorUtil"),
	service = require("investService"),
		
		_pageId = "#account_riskResult ";
	
	function init(){
		var risk_name= appUtils.getSStorageInfo("risk_name");
		$(_pageId+"  #name_fx").html(risk_name);
		if(risk_name=="保守型"){
			$(_pageId+"  .test_level").html("<span class='class01'></span>");
		}else if(risk_name=="稳健型"){
			$(_pageId+"  .test_level").html("<span class='class02'></span>");
		}else if(risk_name=="积极型"){
			$(_pageId+"  .test_level").html("<span class='class03'></span>");
		}else if(risk_name=="进取型"){
			$(_pageId+"  .test_level").html("<span class='class04'></span>");
		}else if(risk_name=="激进型"){
			$(_pageId+"  .test_level").html("<span class='class05'></span>");
		}
	}

	//绑定事件
	function bindPageEvent(){
		
		
		
		// 点击重做风险测评题
		appUtils.bindEvent($(_pageId+"  #reEvaluation"),function(){
			appUtils.pageInit("account/riskResult","account/riskTesting",{});
		});
		// 点击跳转
		appUtils.bindEvent($(_pageId+"  .ce_btn"),function(){
			appUtils.pageInit("account/riskResult","account/setPassword",{});
		});
		

		
	}
	
	
	
	function destroy(){
		
	}

	var riskResult = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = riskResult;
});