
define(function(require, exports, module){ 
		var appUtils = require("appUtils"),
	    dateUtils = require("dateUtils"),
		layerUtils = require("layerUtils"),
		validatorUtil = require("validatorUtil"),
		service = require("investService"),
		_pageId = "#bankCardOperation_bankAdd";
	
	function init(){
		
	}

	//绑定事件
	function bindPageEvent(){


		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		
		appUtils.bindEvent($(_pageId+" .ce_btn"),function(){
			var cname =$(_pageId+" #cname").val();
			var bank_hao =$(_pageId+" #bank_hao").val();
			
			if(validatorUtil.isEmpty (cname)){
				layerUtils.iAlert("请输入持卡人姓名");
				return  ;
			}
			if(validatorUtil.isEmpty (bank_hao)){
				layerUtils.iAlert("银行卡号不能为空！");
				return ;
			}
			
			if(!(validatorUtil.isBankCode(bank_hao))){
				layerUtils.iAlert("银行卡号输入有误！");
				return ;	
			}
			
			appUtils.pageInit("bankCardOperation/bankAdd","bankCardOperation/bankAddone",{});

		});
	}
	
	
	
	function destroy(){
		
	}

	var bankAdd = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = bankAdd;
});