
define(function(require, exports, module){ 
		var appUtils = require("appUtils"),
	    dateUtils = require("dateUtils"),
		layerUtils = require("layerUtils"),
		validatorUtil = require("validatorUtil"),
		service = require("investService"),
		_pageId = "#bankCardOperation_bankAddone";
	
	function init(){
		$(_pageId+" #xy_check").attr("class","icon_check");	
		$(_pageId+" #my_phone").val("");
	}

	//绑定事件
	function bindPageEvent(){
		
	
		appUtils.bindEvent($(_pageId+" #xy_check"),function(){
			var this_class=$(this).attr("class");	
			if(this_class=="icon_check"){
				$(this).attr("class","icon_check checked");	
			}else{
				$(this).attr("class","icon_check");	
			} 
		});
		
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		
		appUtils.bindEvent($(_pageId+" .ce_btn"),function(){
			var my_phone =$(_pageId+" #my_phone").val();
			
			if(validatorUtil.isEmpty (my_phone)){
				layerUtils.iAlert("预留电话不能为空！");
				return ;
			}
			
			if(!(validatorUtil.isMobile(my_phone))){
				layerUtils.iAlert("预留电话输入有误！");
				return ;
			}
			
			var xy_check= $(_pageId+" #xy_check").attr("class");	
			if(xy_check!="icon_check checked"){
				layerUtils.iAlert("请先签署协议！");
				return ;
			}
			appUtils.pageInit("bankCardOperation/bankAdd","bankCardOperation/bankAddok",{});

		});
	}
	
	
	
	function destroy(){
		
	}

	var bankAddone = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = bankAddone;
});