 // 手机注册
 //@版本: 2.0 
define(function(require, exports, module){ 
	var appUtils = require("appUtils"),
	    dateUtils = require("dateUtils"),
		layerUtils = require("layerUtils"),
		validatorUtil = require("validatorUtil"),
		service = require("mobileService"),
		external = require("external"),
		_pageId = "#userCenter_accountSuccess";
	
	function init(){
		var fund_account = appUtils.getSStorageInfo("client_id");
		var kh_state = appUtils.getSStorageInfo("kh_state");
		var bank_state = appUtils.getSStorageInfo("bank_state");
		var remark = appUtils.getSStorageInfo("remark");
		if(bank_state=='2'){
			layerUtils.iAlert("银行卡绑定失败，您需在‘银行卡管理’处进行重新绑定！");
		}
		$(_pageId+ " #accountNo").text(fund_account);
	}

	//绑定事件
	function bindPageEvent(){
		//首页返回键回到主页面
		appUtils.bindEvent($(_pageId+" .icon_back"), function(){
			external.callMessage({"moduleName":"home","funcNo": "50101"});
		});
		appUtils.bindEvent($(_pageId+" #gosc"), function(){
			external.callMessage({"moduleName":"crhsc","funcNo": "50101"});
		});
	}
	
	
	
	function destroy(){
		
	}

	var accountSuccess = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = accountSuccess;
});