/**
 * 客户评价
 */
define(function(require,exports,module){
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		  gconfig = require("gconfig"),
		  layerUtils = require("layerUtils"),
		  global = gconfig.global,
		  platform = require("gconfig").platform,
		  service = require("serviceImp").getInstance(),  //业务层接口，请求数据
		  _pageId = "#account_customerEvalua";
	var external = require("external");
	/* 私有业务模块的全局变量 end */
	
	function init()
	{
	}
	
	function bindPageEvent()
	{
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(e){
			appUtils.pageInit("account/customerEvalua","account/evaluaAdvice",{});  
		});
		
		//提交完成
		appUtils.bindEvent($(_pageId+" .finish_icon"),function(e){
			var comment = $(_pageId+" .tarea01").val();
			appUtils.pageInit("account/customerEvalua","account/evaluaAdvice",{"comment":comment,"flag":true});  
		});
		
		//获取输入事件
		appUtils.bindEvent($(_pageId+" .tarea01"),function(e){
			
			var length = $(this).val().length;	//获取当前输入字符串长度
			var syLength = 500 -parseInt(length);		//可输入字符长度
			
			$(_pageId + " .ks").html("还可输入<strong>"+syLength+"</strong>字");
			$(_pageId + " .xs").html("<strong>"+length+"</strong>/500");
			e.stopPropagation();  // 阻止冒泡
		},"input");
		
	}
	function destroy()
	{
	}
	
    /* 初始化页面 */	
	function initPage()
	{
	}
	
	var customerEvalua = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	module.exports = customerEvalua;
});