/**
 * 开|转|理财户结果
 */
define(function(require,exports,module){
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		  gconfig = require("gconfig"),
		  layerUtils = require("layerUtils"),
		  global = gconfig.global,
		  platform = require("gconfig").platform,
		  service = require("serviceImp").getInstance(),  //业务层接口，请求数据
		  _pageId = "#account_evaluaAdvice";
	var external = require("external");
	var flag;
	var param = {};
	/* 私有业务模块的全局变量 end */
	
	function init()
	{
		param = {};
		//如果从评论页面提交评论返回
		if(appUtils.getSStorageInfo("_prePageCode") == "account/customerEvalua" && appUtils.getPageParam("flag")){
			
			$(_pageId + " .cs_pjtxt").attr("flag",true);
			$(_pageId + " .cs_pjtxt p").text("");
			$(_pageId + " .cs_pjtxt p").text(appUtils.getPageParam("comment"));
			return;
		}
		if(appUtils.getSStorageInfo("_prePageCode") == "account/evaluaNotice"){
			return;
		}
		
		initPage();
	}
	
	function bindPageEvent()
	{
		/* 评价须知 */
		appUtils.bindEvent($(_pageId+" .icon_question"),function(e){
			
			appUtils.pageInit("account/evaluaAdvice","account/evaluaNotice",{});   
			e.stopPropagation();  // 阻止冒泡
		});
		/* 客户评价 */
		appUtils.bindEvent($(_pageId+" .cs_pjtxt"),function(e){
			if(flag){return;}
			appUtils.pageInit("account/evaluaAdvice","account/customerEvalua",{});   
			e.stopPropagation();  // 阻止冒泡
		});
		/*总体评价*/
		appUtils.bindEvent($(_pageId+" .clearfix li"),function(e){
			if(flag){return;}
			$(_pageId+" .clearfix li").removeClass("active");
			$(this).addClass("active");
			e.stopPropagation();  // 阻止冒泡
		});
		
		/*1、服务态度*/
		appUtils.bindEvent($(_pageId+" .fl_pjlist .service_scores b"),function(e){
			if(flag){return;}
			evaluaFunction(this," .service_scores");
			
			e.stopPropagation();  // 阻止冒泡
		});
		/*2、声音语速*/
		appUtils.bindEvent($(_pageId+" .fl_pjlist .sound_scores b"),function(e){
			if(flag){return;}
			evaluaFunction(this," .sound_scores");
			
			e.stopPropagation();  // 阻止冒泡
		});
		/*3、仪表笑容*/
		appUtils.bindEvent($(_pageId+" .fl_pjlist .meter_scores b"),function(e){
			if(flag){return;}
			evaluaFunction(this," .meter_scores");
			
			e.stopPropagation();  // 阻止冒泡
		});
		/*4、接入速度*/
		appUtils.bindEvent($(_pageId+" .fl_pjlist .speed_scores b"),function(e){
			if(flag){return;}
			evaluaFunction(this," .speed_scores");
			
			e.stopPropagation();  // 阻止冒泡
		});
		/*5、视频环境*/
		appUtils.bindEvent($(_pageId+" .fl_pjlist .video_scores b"),function(e){
			if(flag){return;}
			evaluaFunction(this," .video_scores");
			
			e.stopPropagation();  // 阻止冒泡
		});
		
		/*分享*/
		appUtils.bindEvent($(_pageId+" .clearfix a"),function(e){
		/*var params = {
						"funcNo":"50231",
						"moduleName":"open",
						"shareType":"23",
						"title":param.title,
						"link":param.url,
						"content":"手机自助开户或转户，分享有惊喜，iPad等你拿！",
						"imgUrl":param.imageUrl
					};
		external.callMessage(params);*/
//			require("shellPlugin").callShellMethod("sharePlugin",null,null,["立即分享有惊喜，iPad等你拿","手机自助开户或转户，分享有惊喜，iPad等你拿！","测试分享结果，显示即分享成功！"]);
			e.stopPropagation();  // 阻止冒泡
		});
		
		/*提交评价建议*/
		appUtils.bindEvent($(_pageId+" .pj_btn a:eq(0)"),function(e){
			
			if(checkInputInfo()){
				
				submitEvaluations();
			}
			
			e.stopPropagation();  // 阻止冒泡
		});
		
		/*返回首页*/
		appUtils.bindEvent($(_pageId+" .pj_btn a:eq(1)"),function(e){
			appUtils.clearSStorage();  // 清空所有的session
			$("#content").html("");	//清空所有html
			appUtils.pageInit("account/evaluaAdvice","business/index",{});  // 直接跳到结果页
			e.stopPropagation();  // 阻止冒泡
		});
		
		/*分享*/
		appUtils.bindEvent($(_pageId+" .pj_btn a:eq(2)"),function(e){
			
			if(param.title != "" && param.title != undefined && param.title != null){
				
				require("shellPlugin").callShellMethod("sharePlugin",null,null,[param.title,param.content,"",param.url,param.imageUrl]);
			}else{
				layerUtils.iAlert("系统异常，分享失败！",-1);
				return false;
			}
			
			e.stopPropagation();  // 阻止冒泡
		});
		
	}
	/*查询分享内容*/
	function queryShareContent(){
		service.queryShareContent("",function(data){
			var error_no = data.error_no,
				error_info = data.error_info;
			if(error_no == 0 && data.results.length>0){
				param = {};
				for(var i = 0; i<data.results.length;i++){
					var result = data.results[i];
					param[result.item_name] = result.item_value;
				}
			}
				
		});
		
	}
	
	/**
	 * @param obj 所选择元素的对象
	 * @param dom 所选择元素class
	 * @param attrName 自定义属性
	 */
	function evaluaFunction(obj,dom){
		$(_pageId+dom+" b").removeClass("light");
		for(var i = 0 ; i <= $(obj).index() ; i ++ ){
			
			$(_pageId+dom+" b:eq("+i+")").addClass("light");
		}
		
		$(_pageId+" .fl_pjlist"+dom).attr("score",$(obj).index()+1);
	}
	
	function destroy()
	{
	}
	
	/*提交校验信息*/
	function checkInputInfo(){
		
		if(!$(_pageId + " .clearfix li").hasClass("active")){
			
			layerUtils.iAlert("请选择您对本次开户流程的总体评价",-1);
			return false;
		}
		
		if(!$(_pageId + " .service_scores b").hasClass("light")){
			
			layerUtils.iAlert("请评论本次开户的服务态度",-1);
			return false;
		}

		if(!$(_pageId + " .sound_scores b").hasClass("light")){
			
			layerUtils.iAlert("请评论本次开户的声音语速",-1);
			return false;
		}
		
		if(!$(_pageId + " .meter_scores b").hasClass("light")){
			
			layerUtils.iAlert("请评论本次开户的仪表笑容",-1);
			return false;
		}

		if(!$(_pageId + " .speed_scores b").hasClass("light")){
			
			layerUtils.iAlert("请评论本次开户的接入速度",-1);
			return false;
		}
		
		if(!$(_pageId + " .video_scores b").hasClass("light")){
			
			layerUtils.iAlert("请评论本次开户的视频环境",-1);
			return false;
		}
		
		return true;
	}
	
	function submitEvaluations(){
		
		var param = {
				"user_id" : appUtils.getSStorageInfo("user_id"),
				"total" : $(_pageId + " .clearfix .active").attr("evalua"),	//总体评价：1=非常差；2=差；3=一般；4=满意；5=非常满意
				"service" : $(_pageId + " .service_scores").attr("score"),	//服务态度
				"voice" : $(_pageId + " .sound_scores").attr("score"),		//声音语速
				"appearance" : $(_pageId + " .meter_scores").attr("score"),//仪表笑容
				"accessspeed" : $(_pageId + " .speed_scores").attr("score"),//接入速度
				"video" : $(_pageId + " .video_scores").attr("score"),		//环境视频
				"comments" : $(_pageId + " .cs_pjtxt").attr("flag") ? $(_pageId + " .cs_pjtxt p").text() : "" //评论内容
		};
		
		service.submitEvaluations(param,function (data){
			
			var error_no = data.error_no,
				error_info = data.error_info;
			
			if(error_no == 0){
				//成功跳转到结果页
				appUtils.pageInit("account/evaluaAdvice","account/evaluaResult",{});
			}else{
				
				layerUtils.iAlert(error_info,-1);
				return false;
			};
		});
	}
	
    /* 初始化页面 */	
	function initPage()
	{
		//查询坐席信息
		service.querySeatInfo({"user_id":appUtils.getSStorageInfo("user_id")},function (data){
			console.log("11111111111111="+JSON.stringify(data));
			var error_no = data.error_no,
				error_info = data.error_info;
			if(error_no == 0){
				var result = data.results[0];
				$(_pageId + " .clearfix li:eq(0) strong").text(result.srv_name);	//客服姓名
				$(_pageId + " .clearfix li:eq(1) strong").text(result.srv_id);	//客服编号
				//总体评价回显
				$(_pageId + " .clearfix [evalua="+result.total+"]").addClass("active");
				
				if(result.total !=undefined && result.service!=undefined && result.service!=""){
					//已经评论过
					console.log("11111111111111=");
					flag = true;
					$(_pageId + " .pj_btn a:eq(0)").hide();
					$(_pageId + " .pj_btn a:eq(1)").show();
				}else{
				console.log("222222222222222222=");
					flag = false;
					$(_pageId + " .pj_btn a:eq(1)").hide();
					$(_pageId + " .pj_btn a:eq(0)").show();
				}
				if(result.comments){
					$(_pageId + " .cs_pjtxt p").text(result.comments);
				}
				//星星回显-服务态度
				showXingxing(" .service_scores",result.service);
				//星星回显-声音
				showXingxing(" .sound_scores",result.voice);
				//星星回显-仪表笑容
				showXingxing(" .meter_scores",result.appearance);
				//星星回显-接入速度
				showXingxing(" .speed_scores",result.accessspeed);
				//星星回显-环境视频
				showXingxing(" .video_scores",result.video);
//				queryShareContent();//获取分享内容
			}else{
				
				layerUtils.iAlert(error_info,-1);
				return false;
			}
			
		});
		
	}
	
	/*回显星星*/
	function showXingxing(dom,num){
		if(num!=undefined && num!=null && num!=""){
			$(_pageId + dom).attr("score",num);
			$(_pageId + dom+" b").removeClass("light");
			for(var i = 0; i < num; i++){
				$(_pageId + dom+" b:eq("+i+")").addClass("light");
			}
		}else{
			$(_pageId + " .clearfix li").removeClass("active");
			$(_pageId + dom).attr("score",5);
			$(_pageId + dom + " b").addClass("light");	//新评论，显示全部星星
		}
	}
	
	var evaluaAdvice = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	module.exports = evaluaAdvice;
});