/**
 * 评价结果
 */
define(function(require,exports,module){
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		  gconfig = require("gconfig"),
		  layerUtils = require("layerUtils"),
		  global = gconfig.global,
		  platform = require("gconfig").platform,
		  service = require("serviceImp").getInstance(),  //业务层接口，请求数据
		  _pageId = "#account_evaluaResult";
	var external = require("external");
	var param = null;
	/* 私有业务模块的全局变量 end */
	
	function init()
	{
		param = {};
		queryShareContent();
	}
	
	function bindPageEvent()
	{
		appUtils.bindEvent($(_pageId+" .pj_combtn a:eq(0)"),function(e){
			appUtils.clearSStorage();  // 清空所有的session
			$("#content").html("");	//清空所有html
			appUtils.pageInit("account/evaluaAdvice","business/index",{});  // 直接跳到结果页
		});
		
		/*分享*/
		appUtils.bindEvent($(_pageId+" .pj_combtn a:eq(1)"),function(e){
			
			if(param.title != "" && param.title != undefined && param.title != null){
				var params = {
                				"funcNo":"50230",
                				"moduleName":"open",
                				"shareTypeList":"1,2,6,22,23,24",
                				"title":param.title,
                				"link":param.url,
                				"content":param.content,
                				"imgUrl":param.imageUrl
                			};
				external.callMessage(params);
			}else{
				layerUtils.iAlert("系统异常，分享失败！",-1);
				return false;
			}
			
			e.stopPropagation();  // 阻止冒泡
		});
		
	}
	
	/*查询分享内容*/
	function queryShareContent(){
		service.queryShareContent("",function(data){
			var error_no = data.error_no,
				error_info = data.error_info;
			if(error_no == 0 && data.results.length>0){
				param = {};
				for(var i = 0; i<data.results.length;i++){
					var result = data.results[i];
					param[result.item_name] = result.item_value;
				}
			}
				
		});
		
	}
	function destroy()
	{
		appUtils.clearSStorage();  // 清空所有的session
	}
	
    /* 初始化页面 */	
	function initPage()
	{
	}
	
	var evaluaResult = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	module.exports = evaluaResult;
});