/**
 * 三方存管
 */
define(function(require, exports, module){
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		platform = require("gconfig").platform,
		service = require("serviceImp").getInstance(),  // 业务层接口，请求数据
		layerUtils = require("layerUtils"),
		utils = require("utils"),
		validatorUtil = require("validatorUtil"),
		zzispwd = 1,  // zzispwd	密码方式，1 需要，0 不需要
		iscard = 1,  // iscard	是否需要银行卡，1 需要，0 不需要
		protocol = null,  // 协议保存
		bankcodethis = null,
		cert_type = appUtils.getSStorageInfo("openChannel") == "new" ? "zd" : "tw", // tw:天威 zd:中登
		_pageId = "#account_thirdDepository";
	var bank_code = "";
	var external = require("external");
	var common = require("common");
	/* 私有业务模块的全局变量 end */
	
	function init()
	{
		bank_code = appUtils.getSStorageInfo("bankSourceCode");
		if (platform == '2') 
		{
			var hg = $(window).height() / 2;
			$(_pageId + " .sel_list").css("height", hg + "px");
			$(_pageId + " .sel_list").css("position", "absolute");
			var hg = $(window).height() - 128;
			$(_pageId + " .main").css("height", hg + "px");
			$(_pageId + " .main").css("overflow-y", "auto");
		}
		if(appUtils.getSStorageInfo("signFlag") == 1){
			initPage();  // 初始化页面并检测证书是否存在
		}else{
			getBankList(); //加载银行列表
		}
	}
	
	function bindPageEvent(){
		/* 点击页面隐藏键盘 */
		appUtils.bindEvent($(_pageId),function(e){
			$(_pageId+" #bankListPage").slideUp("fast",function(){
				$(_pageId+" .main").css("overflow","auto");
			});
			e.stopPropagation();  // 阻止冒泡
		});
		
		/* 签署银行相关协议  */
		appUtils.bindEvent($(_pageId+" .rule_check a"),function(){
			$(this).toggleClass("checked"); 
		});
				
		/* 选择银行绑定下拉框按钮事件  */
		appUtils.bindEvent($(_pageId+" #selectBank"),function(e){
			 if(bank_code !="" && bank_code !=undefined && bank_code !=null){
				  return;
			  }
			$(_pageId+" #bankListPage ul li").removeClass("active");
			$(_pageId+" #bankListPage").slideDown("fast",function(){
				$(_pageId+" .main").css("overflow","hidden");
			});
			e.stopPropagation();  // 阻止冒泡
		});

		/* 选择银行卡绑定选择某银行事件 */
		appUtils.bindEvent($(_pageId+" #bankcard"),function(){
			$(_pageId+" #bankListPage").slideUp("fast",function(){
				$(_pageId+" .main").css("overflow","auto");
			});
			validateSelectBankxs($(this));
			//validateSelectBank(); // 验证是否选择银行卡
//			if(platform == '1'){
//				require("shellPlugin").callShellMethod("softKeyboardPlugin",null,null,{"isShow":false});  //关闭密码键盘
//			}
		//	e.stopPropagation();  // 阻止冒泡
		},"focus");
		//失去焦点
		$(_pageId+" #bankcard").blur(function(){
			if($(this).val()=="")
				{
				  $(this).attr("placeholder","请输入银行卡号");
				}
		});
		/* 选择银行卡绑定选择某银行事件 */
		appUtils.bindEvent($(_pageId+" #zcbankcard"),function(){
			$(_pageId+" #bankListPage").slideUp("fast",function(){
				$(_pageId+" .main").css("overflow","auto");
			});
			validateSelectBanzcsr(this);
			//validateSelectBank(); // 验证是否选择银行卡
		},"focus");
		
		$(_pageId+" #zcbankcard").blur(function(){
			if($(this).val()=="")
				{
				  $(this).attr("placeholder","请再次输入银行卡号");
				}
		});
		/* 银行卡号输入控制（每四位分隔） */
		appUtils.bindEvent($(_pageId+" #bankcard"),function(){
			utils.dealIPhoneMaxLength(this,21); // 处理iphone兼容
			utils.showBigNo(this,2,"one");  // 调用放大镜插件
		},"input");
//		appUtils.bindEvent($(_pageId+" #bankcard"),function(){
//			require("layer").closeAll();//关闭所有layer层
//			if($(this).val()=="")
//				{
//				  $(this).attr("placeholder","请输入银行卡号");
//				}
//		},"blur");
		/* 再次银行卡号输入控制（每四位分隔） */
		appUtils.bindEvent($(_pageId+" #zcbankcard"),function(){
			utils.dealIPhoneMaxLength(this,21); // 处理iphone兼容
			utils.showBigNo(this,2,"two");  // 调用放大镜插件
		},"input");
//		appUtils.bindEvent($(_pageId+" #zcbankcard"),function(){
//			require("layer").closeAll();//关闭所有layer层
//			if($(this).val()=="")
//				{
//				  $(this).attr("placeholder","请再次输入银行卡号");
//				}
//		},"blur");
		/* 银行密码输入框 */
		appUtils.bindEvent($(_pageId+" #bankcardPwd"),function(e){
			$(_pageId+" #bankListPage").slideUp("fast",function(){
				$(_pageId+" .main").css("overflow","auto");
			});
			validateSelectBanmmsr(this);
			e.stopPropagation();  // 阻止冒泡
		},"focus");
		
		
//		/* 绑定输入密码事件 */
		appUtils.bindEvent($(_pageId+" #bankcardPwd"),function(e){
		if (bankcodethis==1002) 
		{	
			$(_pageId + " #bankcardPwd").attr("placeholder", "请输入电话银行密码"); // 清空密码提示
		}
		else if (bankcodethis==1016) 
		{
			$(_pageId + " #bankcardPwd").attr("placeholder", "请输入查询密码"); // 清空密码提示
		}
		else if (bankcodethis==1004||bankcodethis==1011||bankcodethis==1012||bankcodethis==1014) 
		{
			$(_pageId + " #bankcardPwd").attr("placeholder", "请输入取款密码"); // 清空密码提示
		}
		else
			{
			  $(this).attr("placeholder","请输入银行密码");
			}
			
		},"blur");
		/* 开通三方存管按钮绑定事件 */
		appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
		    common.onEvent("click","stock_account_10"); //友盟统计
			signProtocol();  // 提交验签，并且提交三方存管信息
		});
	}
	
	function destroy()
	{
		$(_pageId+" input").val("");  // 把所有的input置空
		service.destroy();
	}
	
	/* 初始化页面 */
	function initPage()
	{
		layerUtils.iLoading(true);  // 开启等待层。。。
		// 本页面需要用到证书，如果进入本页面时，证书不存在就下载并安装证书
		var existsParam = {
			"userId" : appUtils.getSStorageInfo("user_id"),
			"mediaId" : "certificate",
			"type" : cert_type,
			"funcNo": "60000"
		};
		var result = external.callMessage(existsParam);
		var error_no = result.error_no;
		var error_info = result.error_info;
		var result = result.results[0];
		if (error_no == "0" && result.mediaId == "") {
			utils.installCertificate(getBankList);  // 下载安装证书，并且显示证券账户和协议
		} else {
		// 关闭等待层。。。
			layerUtils.iLoading(false);
			getBankList(); //加载银行列表
		}
	}
	
	/* 获取存管银行列表 */
	function getBankList()
	{
		var queryParam = {"bindtype" : "", "ispwd" : ""};
		service.queryBankList(queryParam,function(data){
			var errorNo = data.error_no;
			var errorInfo = data.error_info;
			$(_pageId+" .sel_list ul").html("");  // 清除页面的银行列表
			if(errorNo==0 && data.results.length != 0)
			{
				var bankJson = {};	//银行信息保存
				var results = data.results;
				var length = results.length;
				var itemElement = "";
				for(var i =0; i<length; i++)
				{
					var item = results[i],
				   		  bankcode = item.bankcode,  // 银行代码
						  bankname = item.bankname,  // 银行名称
						  zzbindtype = item.zzbindtype, // 绑定方式：1 一步式 2 预指定 3 同时支持两种方式
					      sortnum  = item.sortnum,  // 排序
					      smallimg = item.smallimg, // 图标
					      isbuffet = item.isbuffet, // 是否支持自助
					      sign_info = item.sign_info, // 提示信息简介
					      brief = item.brief; // 银行简介
				    zzispwd = item.zzispwd; // 密码方式：1 需要 0 不需要  
				    iscard = item.iscard; // 卡号方式：1 需要 0 不需要
				    
				     //如果为银行引流开户，则默认选择该引流传递过来的银行
				    if(bank_code !="" && bank_code !=undefined && bank_code !=null && bank_code==bankcode){
				    	
				    	bankJson.id = bankcode;	//银行代码
						bankJson.bankname = bankname;	//银行名称
						bankJson.zzbindtype = zzbindtype;	//一步式、二步式
						bankJson.signInfo = sign_info;	//
						bankJson.zzispwd = item.zzispwd;	//是否显示密码框
						bankJson.iscard = iscard;
				    }
				    
				    if(zzbindtype=="1")
				    	{
				    	   itemElement += "<li><span bankname='"+bankname+"' id='"+bankcode+"' " +"zzispwd=\""+zzispwd+"\""+
									            "iscard=\""+iscard+"\"  zzbindtype=\""+zzbindtype+"\" sign-info=\""+sign_info+"\">"+bankname+" (一步式开通)</span></li>";
				    	}
				    else
				    	{
				    	  itemElement += "<li><span bankname='"+bankname+"' id='"+bankcode+"' " +"zzispwd=\""+zzispwd+"\""+
									            "iscard=\""+iscard+"\"  zzbindtype=\""+zzbindtype+"\" sign-info=\""+sign_info+"\">"+bankname+" (需开通网上银行)</span></li>";
				    	}
					
				}
				$(_pageId+" .sel_list ul").html(itemElement);
				if((appUtils.getSStorageInfo("_prePageCode") == "account/showProtocol") || (appUtils.getSStorageInfo("_prePageCode") == "account/thirdDepository")){
					var bankNum = appUtils.getSStorageInfo("bankNum");
					var zcbankNum = appUtils.getSStorageInfo("zcbankNum");
					var bankPwd = appUtils.getSStorageInfo("bankPwd",true);
					iscard = $(_pageId+" #selectBank").attr("iscard");
					$(_pageId+" #bankcard").val(bankNum);
					$(_pageId+" #zcbankcard").val(zcbankNum);
					$(_pageId+" #bankcardPwd").val(bankPwd);
				}
				// 选择银行添加银行事件
				appUtils.bindEvent($(_pageId+" #bankListPage ul li span"),function(e){
					$(_pageId+" #bankListPage ul li").removeClass("active");
					$(this).parent().addClass("active");
					$(_pageId+" .protocolshow").show();
					var banckName = $(this).attr("bankname"),
						  id = $(this).attr("id"),
						  zzbindtype = $(this).attr("zzbindtype"),  // 绑定方式
						  signInfo = $(this).attr("sign-info");  // 提示信息
				    zzispwd = $(this).attr("zzispwd");  // 密码方式
				    iscard = $(this).attr("iscard");  // 是否需要银行卡号
					addBankItem(banckName,id,zzbindtype,signInfo,iscard,zzispwd);
					e.stopPropagation();
				});
				
				 //如果为银行引流开户，则默认选择该引流传递过来的银行
			    if(bank_code !="" && bank_code !=undefined && bank_code !=null){
					setTimeout(function(){
						zzispwd = bankJson.zzispwd;	//是否显示密码框
						addBankItem(bankJson.bankname,bankJson.id,bankJson.zzbindtype,bankJson.signInfo,bankJson.iscard,zzispwd);
						$(_pageId+" .protocolshow").show();	//显示协议
					},"600");
				}
				
			}
			else
			{
				layerUtils.iAlert(errorInfo,-1);
			}
		},true,true,handleTimeout);	
	}
	
	/* 处理请求超时 */
	function handleTimeout()
	{
		layerUtils.iConfirm("请求超时，是否重新加载？",function(){
			getBankList();  // 再次获取银行列表
		});
	}
	
	/* 为选择银行列表添加选中银行数据 */
	function addBankItem(banckName,id,zzbindtype,signInfo,iscard,zzispwd)
	{
		bankcodethis = id;
		$(_pageId+" .circular:eq(1) .input_text:eq(2) span").html("银行密码");  // 清空密码提示
		$(_pageId+" #zcbankcard").attr("placeholder","请再次输入银行卡号");  // 清空密码提示
		$(_pageId+" #bankcardPwd").attr("placeholder","请输入银行密码");  // 清空密码提示
		// 显示银行的签约信息
		if(signInfo != "" && signInfo != undefined)
		{
			$(_pageId+" #signInfo").html("温馨提示: "+signInfo);
		}
		else 
		{
			$(_pageId+" #signInfo").html(""); 
		}
		$(_pageId+" #bankcard").val("");  // 清空银行卡号值
		$(_pageId+" #bankcardPwd").val(""); // 清空银行卡密码
		$(_pageId+" #zcbankcard").val(""); // 清空银行卡
		$(_pageId+" #selectBank").html(banckName);  // 赋值银行卡名称
		$(_pageId+" #selectBank").attr("bankcode",id);
		$(_pageId+" #selectBank").attr("iscard",iscard);
		$(_pageId+" #selectBank").attr("zzbindtype",zzbindtype);
		$(_pageId+" #selectBank").attr("zzispwd",zzispwd);
		getDepositoryAgreement(id);  // 获取银行协议内容
		if (id==1002) 
		{
	//		$(_pageId + " .circular:eq(1) .input_text:eq(1) span").html("银行密码"); // 清空密码提示
			$(_pageId + " #bankcardPwd").attr("placeholder", "请输入电话银行密码"); // 清空密码提示
		}
		if (id==1016) 
		{
	//		$(_pageId + " .circular:eq(1) .input_text:eq(1) span").html("银行密码"); // 清空密码提示
			$(_pageId + " #bankcardPwd").attr("placeholder", "请输入查询密码"); // 清空密码提示
		}
		if (id==1004||id==1011 || id== 1012 || id==1014) 
		{
	//		$(_pageId + " .circular:eq(1) .input_text:eq(1) span").html("银行密码"); // 清空密码提示
			$(_pageId + " #bankcardPwd").attr("placeholder", "请输入取款密码"); // 清空密码提示
		}
		if(zzbindtype == 1)   // 判断一步式
		{
			if(zzispwd == 0)  // 不需要输入密码
			{
				$(_pageId+" #bankcardPwd").parent().hide();  // 隐藏银行密码输入框
			}
			else   // 需要输入密码
			{
				$(_pageId+" #bankcardPwd").parent().show();  // 显示银行密码输入框
			}
			$(_pageId+" .user_form .input_form:eq(1)").show();  // 显示银行卡、密码输入框
			$(_pageId+" #bindInfo").hide();  // 隐藏预指定提示信息
		}
		if(zzbindtype == 2)  // 判断预指定(二步式)
		{
			if(iscard == 1)  // 需要银行卡
			{
				$(_pageId+" .user_form .input_form:eq(1)").show();  // 显示银行卡
				$(_pageId+" .user_form .input_form:eq(1) .input_text:eq(1)").hide();  // 隐藏密码
			}
			else // 不需要银行卡
			{
				$(_pageId+" .user_form .input_form:eq(1)").hide();  // 隐藏银行卡、密码输入框
			}
			$(_pageId+" #bindInfo").show();  // 显示预指定提示信息
		}
		$(_pageId+" #bankListPage").slideUp("fast",function(){
				$(_pageId+" .main").css("overflow","auto");
			});
	}
	
	/* 签署协议 */
	function signProtocol()
	{
		if(!validateSelectBank())  // 验证是否选择银行
		{
			return false;
		}
		if($(_pageId+" #selectBank").attr("zzbindtype")=="1")
		{
		  if(!validateBankCorrect())
		  {
			return false;
		  }
		  if($(_pageId+" #selectBank").attr("zzispwd")!="0"){
			   if(!validateBankPwd())
			  {
				return false;
			  }
		  }
		}
//		if((iscard == 1 || iscard == ""))  // 验证银行卡号
//		{
//			return false;
//		}
//		if(zzispwd == 1)  // 验证是否需要密码
//		{
//			if(!validateBankPwd())
//			{
//				return false;
//			}
//		}
		if(!validateDepositProtocolSelect())  // 验证是否勾选协议
		{
			return false;
		}
		
		var signParam = null;			//获取数字签名的入参
		var signProtocolParam = null;	//提交协议验签的入参
		
		// 进行协议签署
		var protocolArray = new Array(),  // 协议数组
			userid = appUtils.getSStorageInfo("user_id"),
			ipaddr  = appUtils.getSStorageInfo("ip"),
			macaddr = appUtils.getSStorageInfo("mac"),
			protocolid = protocol.econtract_no,
			protocolname = protocol.econtract_name,
			summary = protocol.econtract_md5;  // 协议内容MD5,签名摘要信息
			//有配置证书才验签，没证书不验签
			if(appUtils.getSStorageInfo("signFlag") != 1){
				
					//没证书方式
					var param = {
							"protocol_id" : protocolid,
							"protocol_dcsign" : "",
							"summary" : summary
						};
					protocolArray.push(param);   // 添加值到数组中
					signProtocolParam = {
							"user_id" : userid,
							"jsondata" : JSON.stringify(protocolArray),
							"ipaddr" : ipaddr,
							"checksign":"0",
							"macaddr" : macaddr
						};
					service.queryOpenCheckSign(signProtocolParam,postThirdDepositoryData,false);	// 新开中登验签
			}else{
				
				//有证书方式，调用壳子插件获取签名值
				signParam = {
						"mediaId":protocolid,
						"content":summary,
						"userId":userid,
						"type": cert_type,
						"funcNo": "60001"
				};
				layerUtils.iLoading(true);  // 开启等待层......
				var result = external.callMessage(signParam);
				var error_no = result.error_no;
				var error_info = result.error_info;
				var result = result.results[0];
				if(error_no == "0") {	
					var protocoldcsign = result.cipherText;  // 数字签名值
					var protocolParam = {
						"protocol_id" : protocolid,
						"protocol_dcsign" : protocoldcsign,
						"summary" : summary
					};
					protocolArray.push(protocolParam);   // 添加值到数组中
					// 签署协议
					signProtocolParam = {
						"user_id" : userid,
						"jsondata" : JSON.stringify(protocolArray),
						"ipaddr" : ipaddr,
						"macaddr" : macaddr
					};
					//避免异步加载，把验签方法写在内部
					service.queryOpenCheckSign(signProtocolParam,postThirdDepositoryData,false);	// 新开中登验签
				}else{
					 layerUtils.iLoading(false);  // 关闭等待层
			          layerUtils.iAlert(error_info);
				}
				
			}
		
	}

	function trim(str){
		str=str.replaceAll(" ","");
		str=str.replace(/<[^>]+>/g,"");
		str=str.replaceAll("&nbsp;","");
		return str;
	}

	/* 提交三方存管银行数据 */
	function postThirdDepositoryData(data)
	{	
		if(data.error_no == 0){
			service.getRSAKey({}, function(data) {
				if( data.error_no==0)	//请求获取rsa公钥成功
				{
					//密码采用rsa加密
					var results = data.results[0];
					var modulus = results.modulus;
					var publicExponent =  results.publicExponent;
					var endecryptUtils = require("endecryptUtils");
					
					var bankpwd = endecryptUtils.rsaEncrypt(modulus, publicExponent, $(_pageId+" #bankcardPwd").val().trim());
					var userid = appUtils.getSStorageInfo("user_id");
					var bankcode= $(_pageId+" #selectBank").attr("bankcode");
					var bankaccount = $(_pageId+" #bankcard").val();
					var thirdDepositParam = {
						"user_id":userid,
						"acct_clientid":"",
						"acct_fndacct":"",
						"bank_code":trim(bankcode),
						"bank_account":trim(bankaccount),
						"bank_pwd":bankpwd,
						"op_type":$(_pageId+" #selectBank").attr("zzbindtype")
					};
					// 调用service绑定存管银行
					service.bindBank(thirdDepositParam,function(data){
						var errorNo = data.error_no;
						var errorInfo = data.error_info;
						if(errorNo==0)	 // 调用成功,跳转到风险测评页面
						{
							cleanPageElement();
							appUtils.pageInit("account/thirdDepository","account/riskAssessment",{});
						}
						else
						{
							layerUtils.iLoading(false);
							layerUtils.iAlert(errorInfo,-1);
						}
					},false);
				}
				else
				{
					layerUtils.iLoading(false);
					layerUtils.iAlert(data.error_info);
				}
			}, false);
		}else{
			layerUtils.iLoading(false);
			layerUtils.iAlert(data.error_info,-1);
		}
	}
	
	/* 验证是否选择银行  */
	function validateSelectBank()
	{
		var obj = $(_pageId+" #selectBank");
		var value = obj.html();
		if(validatorUtil.isEmpty(value)||value=="请选择银行")
		{
			layerUtils.iMsg(-1,"请选择银行");
			return false;
		}
		$(this).removeAttr("placeholder");
		return true;
	}
	/* 验证是否选择银行  */
	function validateSelectBankxs(obj)
	{
		var value = $(_pageId+" #selectBank").html();
		if(validatorUtil.isEmpty(value)||value=="请选择银行")
		{
			layerUtils.iMsg(-1,"请选择银行");
			obj.blur();
			return false;
		}
		obj.removeAttr("placeholder");
		return true;
	}
	/* 验证是否可再次输入银行卡号  */
	function validateSelectBanzcsr(obj)
	{
		var value = $(_pageId+" #selectBank").html();
		var bankcard = $(_pageId+" #bankcard").val();
		if(validatorUtil.isEmpty(value)||value=="请选择银行")
		{
			layerUtils.iMsg(-1,"请选择银行");
			$(obj).blur();
			return false;
		}
		if(bankcard == "")  // 验证通过的情况
		{
			layerUtils.iMsg(-1,"请先输入银行卡号！");
			$(obj).blur();
			return false;
		}
		if(!validatorUtil.isBankCode(bankcard))
		{
			layerUtils.iMsg(-1,"银行卡号格式有误，请重新输入！");
			$(obj).blur();
			return false;
		}
		$(obj).removeAttr("placeholder");
		return true;
	}
	/* 验证是否可以输入密码  */
	function validateSelectBanmmsr(obj)
	{
		var value = $(_pageId+" #selectBank").html();
		var bankcard = $(_pageId+" #bankcard").val();
		var bankcardzc = $(_pageId+" #zcbankcard").val();
		if(validatorUtil.isEmpty(value)||value=="请选择银行")
		{
			layerUtils.iMsg(-1,"请选择银行");
			$(obj).blur();
			return false;
		}
		if(bankcard == "")  // 验证通过的情况
		{
			layerUtils.iMsg(-1,"请先输入银行卡号！");
			$(obj).blur();
			return false;
		}
		if(!validatorUtil.isBankCode(bankcard))
		{
			layerUtils.iMsg(-1,"银行卡号格式有误，请重新输入！");
			$(obj).blur();
			return false;
		}
		if(bankcard!=bankcardzc)
		{
			if(validatorUtil.isNotEmpty(bankcardzc)){
				layerUtils.iMsg(-1,"两次银行卡号输入不一致，请检查重新输入！");
			}else{
				layerUtils.iMsg(-1,"再次确认卡号未填写！");
			}
			$(obj).blur();
			return false;
		}
		$(obj).removeAttr("placeholder");
		return true;
	}
	
	/* 检验银行卡填写是否正确 */
	function validateBankCorrect()
	{
		var bankcard = $(_pageId+" #bankcard").val();
		var zcbankcard = $(_pageId+" #zcbankcard").val();
		if(bankcard == "")  // 验证通过的情况
		{
			layerUtils.iMsg(-1,"银行卡号不能为空！");
			return false;
		}
		if(!validatorUtil.isBankCode(bankcard))
		{
			layerUtils.iMsg(-1,"银行卡号格式有误，请重新输入！");
			return false;
		}
		if(zcbankcard!=bankcard)
		{
			if(validatorUtil.isNotEmpty(zcbankcard)){
				layerUtils.iMsg(-1,"两次银行卡号输入不一致，请检查重新输入！");
			}else{
				layerUtils.iMsg(-1,"再次确认卡号未填写！");
			}
//			layerUtils.iMsg(-1,"两次银行卡号输入不一致，请检查重新输入！");
			return false;
		}
		return true;
	}
	
	/* 验证银行密码 */
	function validateBankPwd()
	{
		var cardPwd = $(_pageId+" #bankcardPwd").val();
		if(cardPwd.length == 0){
			layerUtils.iMsg(-1,"请输入银行卡密码！");
			return false;
		}
		if(!validatorUtil.isNumeric(cardPwd) || cardPwd.length !=6)
		{
			layerUtils.iMsg(-1,"银行卡密码有误，请重新输入！");
			return false;
		}
		return true;
	}
	
	/* 检测勾选阅读协议 */
	function validateDepositProtocolSelect()
	{
		if(!$(_pageId+" .icon_check").hasClass("checked"))
		{
			layerUtils.iMsg(-1,"请阅读并勾选三方存管协议!");
			return false;
		}
		return true;
	}
	
	/* 获取存管银行签约电子协议列表 */
	function getDepositoryAgreement(bankcode)
	{
		$(_pageId+" #protocolName").html("");  // 清空协议
		// 调用service查询存管银行协议
		var param = {"econtract_no" : bankcode};
		service.queryProtocolList(param,function(data){
			$(_pageId+" #protocolName").html("");
			if(data.error_no == 0)
			{
				if(data.results&&data.results.length>=1)
				{
					protocol = data.results[0];
					$(_pageId+" #protocolName").html("《"+protocol.econtract_name+"》");
					$(_pageId+" #protocolName").attr("protocolId",protocol.econtract_no);
					$(_pageId+" #protocolName").attr("protocolMd5",protocol.econtract_md5);
					// 预绑定查看银行协议内容的事件
					appUtils.preBindEvent($(_pageId+" #protocolName").parent(),"#protocolName",function(){
						appUtils.setSStorageInfo("bankPwd",$(_pageId+" #bankcardPwd").val().trim(),true);
						appUtils.setSStorageInfo("bankNum",$(_pageId+" #bankcard").val());
						appUtils.setSStorageInfo("zcbankNum",$(_pageId+" #zcbankcard").val());
						appUtils.pageInit("account/thirdDepository","account/showProtocol",{"protocol_id":$(_pageId+" #protocolName").attr("protocolId")});
					});
				}
			}
			else
			{
				layerUtils.iAlert(data.error_info,-1);
			}
		});
	}
	
	/* 清理界面元素 */
	function cleanPageElement()
	{
		$(_pageId+" .rule_check a").removeClass("checked");  // 取消勾选协议
		$(_pageId+" #selectBank").text("请选择银行");  // 清理银行卡的名字
		$(_pageId+" #bankcard").val("");  // 清理银行卡号
		$(_pageId+" #bankcardPwd").val("");  // 清理密码
		$(_pageId+" #protocolName").text("《券商银行投资者三方协议》");  // 清理协议名
		$(_pageId+" #signInfo").html("");  // 清除银行签约信息
	}
	
	var thirdDepository = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = thirdDepository;
});