﻿﻿/**
 * 手机开户3.0
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		_pageId = "#business_index";
	var external = require("external");
	var gconfig = require("gconfig");
	var common=require("common");
	/* 私有业务模块的全局变量 end */
	
	function init()
	{
		var window_height = $(window).height();
		var main_height = window_height;
		$(_pageId + " .main").height(main_height);
//		window.getInput = utils.getInput;  // 暴露调用密码键盘给window
//		window.onFinish = utils.onFinish;  // 暴露关闭密码键盘给window
	}
	
	function bindPageEvent(){
		
		/* 绑定新开账户  */
		appUtils.bindEvent($(_pageId+" .one"),function(){
			common.onEvent("click","stock_account_0"); //友盟统计
			// 设置标识'new',表示新开户,并且存到local
			appUtils.setSStorageInfo("openChannel","new");
			appUtils.setSStorageInfo("finance","");
			appUtils.pageInit("business/index","account/msgVerify",{});
		});

		/* 绑定返回首页 */
		appUtils.bindEvent($(_pageId+"  .back_btn02"),function(){
//			appUtils.pageBack();
			var param = {"funcNo": "50101","moduleName":"home"};
			external.callMessage(param);
		});

		/* 绑定理财户 */
		appUtils.bindEvent($(_pageId+" .two"),function(){
			common.onEvent("click","financing_account_0"); //友盟统计
			// 设置标识'new',表示新开户,并且存到local
			var toPage = "";
			if (gconfig.platform == "2") {
//			    appUtils.sendDirect("../mall/index.html","","");
				toPage = {"prefix": "www/m/mall", "suffix": "userCenter/userInfo", "ModuleName": "me"};
			} else {
				toPage = gconfig.seaBaseUrl + "mall/index.html#!/userCenter/userInfo.html";
			}
			var param = {"funcNo": "50101", "moduleName": "mall", "params": {"ModuleName": "open", "toPage": toPage}};
			external.callMessage(param);
		});
	}
	
	function destroy(){}

	
	var index = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = index;
});