/**
 * 信用交易-查询主界面
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var	layerUtils = require("layerUtils");
    var _pageId = "#credit_query_financingQuery ";
    var common = require("common");
    
    /**
     * 初始化
     */
	function init(){
		common.bindStockEvent(_pageId);  //绑定头部菜单事件
		$(_pageId+".main .ct_nav").css("overflow-y","auto");
        var height_meau = $(window).height() - $(_pageId+".header").height() - $(_pageId+".tab_nav").height() -13;
		$(_pageId+".main .ct_nav").height(height_meau); //查询目录添加高度
    }
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		//返回按钮
		appUtils.bindEvent($(_pageId+".top_title .icon_back"), function(e){
			appUtils.pageInit("credit/query/financingQuery","account/index",{});
			e.stopPropagation();
		});
		//划转页面事件跳转
		appUtils.bindEvent($(_pageId + ".main .ct_nav ul li a"), function(e){
			var topage = $(this).attr("to-page").replaceAll("_","/"); //获取跳转的页面
			var param =  $(this).attr("param");
			if(!param){
				param = "";
			}
			appUtils.pageInit("credit/query/financingQuery",topage,{"param":param}); 
		});
	}
    
	/**
	 * 销毁
	 */
	function destroy(){
		$(" #inputPopLayer").remove();
	}
	
	/**
	 * 重写框架里面的pageBack方法
	 */
	function pageBack(){
		appUtils.pageInit("credit/query/financingQuery","account/index",{});
	}
	
	var base = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy,
		"pageBack": pageBack
	};
	module.exports = base;
});