/**
 * 银行理财-协议详情
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var _pageId = "#finance_protocolInfo ";
	var SVIscroll = require("svIscroll");
	var svIscroll = null;
	var showInfo = null;
	
    /**
     * 初始化
     */
	function init() {
		showInfo = appUtils.getPageParam("showInfo");
		showMsg();
//		console.log(showInfo);
    }
	
	function showMsg(){
		$(_pageId+".top_title>h3").html(showInfo.product_name);
		$(_pageId+".rule_content").html(showInfo.agreement_content);
		if(!svIscroll){
			var config = {
					wrapper: $(_pageId+" #wrapper_detail"), //wrapper对象
					container: $(_pageId+" .rule_content"), //container对象
					containerHeight: $(window).height()-$(_pageId+".header").height()-$(_pageId+".rule_check").outerHeight()
			};
			svIscroll = new SVIscroll(config);
		}
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent() {
		// 返回按钮
		appUtils.bindEvent($(_pageId + ".top_title .icon_back"), function(e){
			appUtils.pageBack();
		},"click");

		appUtils.bindEvent($(_pageId + ".ce_btn a"), function(e){
			appUtils.pageBack();
		},"click");
		
		
	}

	function destroy(){
		if(svIscroll){
			svIscroll.destroy();
			svIscroll = null;
		}
	}
	
	/**
	 * 重写框架里面的pageBack方法
	 */
//	function pageBack(){
//		appUtils.pageInit("finance/protocolInfo","finance/signProtocol",{});
//		appUtils
//	}
	
	var base = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = base;
});