/**
 * 普通交易-买入
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var commonOrder = require("commonOrder");
	var _pageId = "#stock_stockBuy ";
	
    /**
     * 初始化
     */
	function init(){
		var orderType = "1"; // 1 ，买入  2，卖出  3，融资买入 4，融券卖出  5，普通买入 6，普通卖出 7，买券还券 8，卖券还款
		commonOrder.dataInit(_pageId,orderType);
    }
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		commonOrder.elementBindEvent();
	}
	
	/**
	 * 数据重置
	 */
	function destroy(){
		commonOrder.dataDestroy();
	}
	
	/**
	 * 重写框架里面的pageBack方法
	 */
	function pageBack(){
		commonOrder.orderPageBack();
	}
	
	var base = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy,
		"pageBack": pageBack
	};
	module.exports = base;
});