/**
 * 普通交易-卖出
 */
define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var commonOrder = require("commonOrder");
	var _pageId = "#stock_stockSell ";
	
    /**
     * 初始化
     */
	function init(){
		var orderType = "2";
		commonOrder.dataInit(_pageId,orderType);
    }
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent(){
		commonOrder.elementBindEvent();
	}
	
	/**
	 * 数据重置
	 */
	function  destroy(){
		commonOrder.dataDestroy();
	}
	
	/**
	 * 重写框架里面的pageBack方法
	 */
	function pageBack(){
		commonOrder.orderPageBack();
	}
	
	var base = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy,
		"pageBack": pageBack
	};
	module.exports = base;
});