/**
 * 查看协议页面
 */
define(function(require, exports, module){
	/*模块内部全局变量*/
	var appUtils = require("appUtils"),
	    layerUtils = require("layerUtils"),
		utils = require("utils"),
		gconfig = require("gconfig"),
		global = gconfig.global,
		service = require("mobileService_xdt"),  //业务层接口，请求数据
		_pageId = "#apply_eleAgreement";
	
	/*页面初始化方法*/
	function init()
	{
		var bottomHeight = ((gconfig.platform == 1) ? 0 : 50);
		$(_pageId+" .main").height(($(document).height()-170-bottomHeight)+"px");
		initPageInfo(); //初始化页面信息。获取协议
	}
	
	/*绑定页面事件的方法*/
	function bindPageEvent()
	{
		
		/*返回*/
		appUtils.bindEvent($(_pageId+" .xdt"), function(e){
			$(this).addClass("active");
			e.stopPropagation();
		},"touchstart");
		/*返回*/
		appUtils.bindEvent($(_pageId+" .xdt"), function(e){
			$(this).removeClass("active");
			if(appUtils.getSStorageInfo("_prePageCode") != "business/borrowApply" || appUtils.getPageParam("isbackflag") != "true"){
				appUtils.pageBack();
			}else{
				appUtils.pageInit("apply/eleAgreement","business/borrowApply");
			}
			e.stopPropagation();
		},"touchend");
		
		/*确定按钮*/
		appUtils.bindEvent($(_pageId+" .fix_bot .ce_btn"), function(e){
			if(appUtils.getSStorageInfo("_prePageCode") != "business/borrowApply"){
				appUtils.pageBack();
			}else{
				appUtils.pageInit("apply/eleAgreement","business/borrowApply");
			}
			e.stopPropagation();
		});
	}
	function initPageInfo(){
		var param = appUtils.getPageParam();
		$(_pageId+" .test_main").html(param.content);
		$(_pageId+" #title").html(param.title);
		if(param.title == "交易费用说明"){
			$(_pageId+" .fix_bot").hide();
		}
	}
	
	
	/*******   请求失败，继续发起请求   开始    ********************/
	 /**重新查询协议内容***/
	function handlePageInfo(){
		layerUtils.iAlert("数据加载失败，是否重新加载？",-1, function(){
			initPageInfo();   
		});
	}
	/*******     结束    ********************/
	
	/*页面销毁方法*/
	function destroy()
	{
		service.destroy();
		$(_pageId+" .fix_bot").show();
	}
	
	/*向外暴露的 JSON 对象*/
	var eleAgreement = {
			"init" : init,
			"bindPageEvent" : bindPageEvent,
			"destroy" : destroy
	};
	
	/*对外暴露 JSON 对象*/
	module.exports = eleAgreement;
});