/**
 * 上一次测评结果页
 */
define(function(require, exports, module){
	/*模块内部全局变量*/
	var appUtils = require("appUtils"),
		layerUtils = require("layerUtils"),
		utils = require("utils"),
		userInfoInSession = null,  // session 中的 userInfo
		_pageId = "#apply_lastRiskResult";
		var userInfoInSession =null;
		var pageInParam = "";
	
	/*页面初始化方法*/
	function init()
	{
		userInfoInSession = utils.getUserInfoInSession();
		$(_pageId+" #riskResult").html(userInfoInSession["risk_level"]);  // 测评结果
	}
	
	/*绑定页面事件的方法*/
	function bindPageEvent()
	{
			/*返回*/
		appUtils.bindEvent($(_pageId+" .xdt"), function(e){
			$(this).addClass("active");
			e.stopPropagation();
		},"touchstart");
		/*返回*/
		appUtils.bindEvent($(_pageId+" .xdt"), function(e){
			$(this).removeClass("active");
			appUtils.pageInit("apply/lastRiskResult","account/myInfoCenter");
			e.stopPropagation();
		},"touchend");
		
		/*下一步*/
		appUtils.bindEvent($(_pageId+" .btn"), function(e){
			appUtils.pageInit("apply/lastRiskResult", "apply/riskAssessment");  // 风险测评页面
		});
	}
	
	/*页面销毁方法*/
	function destroy()
	{
	}
	
	/*向外暴露的 JSON 对象*/
	var lastRiskResult = {
			"init" : init,
			"bindPageEvent" : bindPageEvent,
			"destroy" : destroy
	};
	
	/*对外暴露 JSON 对象*/
	module.exports = lastRiskResult;
});