/**
 * 测评结果
 */
define(function(require, exports, module){
	/*模块内部全局变量*/
	var appUtils = require("appUtils"),
		layerUtils = require("layerUtils"),
		validatorUtil = require("validatorUtil"),
		utils = require("utils"),
		gconfig = require("gconfig"),
		global = gconfig.global,
		userInfoInSession = null,  // session 中的 userInfo
		_pageId = "#apply_outTime";
		var userInfoInSession =null;
	
	/*页面初始化方法*/
	function init()
	{
		userInfoInSession = utils.getUserInfoInSession();
		var data = (userInfoInSession.valid_date).substring(0,11);
		$(_pageId+" #CreateData").html(data);
	}
	
	/*绑定页面事件的方法*/
	function bindPageEvent()
	{
		/*下一步*/
		appUtils.bindEvent($(_pageId+" #nextStep"), function(e){
			appUtils.pageInit("apply/outTime","apply/riskAssessment");
			e.stopPropagation();
		});
		/*返回*/
		appUtils.bindEvent($(_pageId+" .xdt"), function(e){
			$(this).addClass("active");
			e.stopPropagation();
		},"touchstart");
		/*返回*/
		appUtils.bindEvent($(_pageId+" .xdt"), function(e){
			$(this).removeClass("active");
			appUtils.pageBack();
			e.stopPropagation();
		},"touchend");
	}
	
	
	/*页面销毁方法*/
	function destroy()
	{
	}
	
	/*向外暴露的 JSON 对象*/
	var outTime = {
			"init" : init,
			"bindPageEvent" : bindPageEvent,
			"destroy" : destroy
	};
	
	/*对外暴露 JSON 对象*/
	module.exports = outTime;
});