/**
 * 融商通页面
 */
define(function(require, exports, module){
	/*模块内部全局变量*/
	var appUtils = require("appUtils"),
		layerUtils = require("layerUtils"),
		utils = require("utils"),
		Map = require("map"),
		gconfig = require("gconfig"),
		formatNum = require("formatNum"),
		global = gconfig.global,
		service = require("mobileService_xdt"),  //业务层接口，请求数据
		userInfoInSession = null,  // session 中的 userInfo
		selectedStockMap = null,  // 已选择的股票 Map
		customSelFlag = null,  // 自定义选股的标识  true为客户手动选股，false为自动选股
		$choosedStock="",
		notInit = true,
		maxCanBorrowMoney = 0,
		borrowMoney_deelFee = "",
		borrowProduct = "",
		currentMode = "",    //当前的模式，auto是自动选股， manual手动
		fundUsePledge = 0,//资金用途质押率
		serverData = null,
		jiaoyi = {},
		modeCode = "",
		winkeyheight = 0, //弹出系统键盘后 这个page 应该加的高度，把原来的页面顶上去
		_pageId = "#business_borrowApply_1"; 
	
	/*页面初始化方法*/
	function init()
	{
		serverData = {};
		modeCode = appUtils.getSStorageInfo("mode_code");
		getqueryServerData();
		clearPageElements();   // 清除页面元素
		userInfoInSession = utils.getUserInfoInSession();
		selectedStockMap = new Map();
		customSelFlag = false;
		$(_pageId+" #selSelectStock").hide();
		$(_pageId+" #selSelectStock").height(($(document).height()-131-147-40-23)+"px");
		$(_pageId+" .TransactionLoan").height(($(document).height()-40)+"px");
		$(_pageId+" .TransactionLoanTop").height(127+"px");
		$(_pageId+" #fundsUsed").html("资金用途："+appUtils.getSStorageInfo("mode_name"));
//		queryPositionList();   // 查询持仓列表
		BindNext();  // 为下一步按钮绑定事件
		//获取page显示的高度，这里不会带键盘的高度
		winkeyheight = $(document).height();
//		showInfo();
	}
	
	function showInfo(){
		modeCode = appUtils.getSStorageInfo("mode_code");
		var param = {
						content:"",
						title:"",
						isbackflag:"true" //显示协议书 左上角返回按钮 点击返回需要重新加载该页面
					};
		
		var riskname;
		
		if(modeCode == "qx"){  // 借钱消费
			
			riskname = "qx_tips";
			
		}else if(modeCode == "cg"){  //借钱炒股
			
			riskname = "cg_tips";
			
		}else{  //借钱打新
			
			riskname = "dx_tips";
			
		}
		
		service.getProtocol({type_ename:riskname},function(data){
			if(data.error_no == 0){
				
				param.content = data.results[0].content_txt;
				param.title   = data.results[0].type_name;
				
				if(appUtils.getSStorageInfo("_prePageCode") != "apply/eleAgreement"){
					appUtils.pageInit("business/borrowApply_1","apply/eleAgreement",param);
				}
				
			}else{
				layerUtils.iAlert(data.error_info);
			}
		});

	}
	
	/*绑定页面事件的方法*/
	function bindPageEvent()
	{
		/*隐藏下拉框*/
	    appUtils.bindEvent($(_pageId), function(e){
	    	$(_pageId+" .sel_list").hide();
	        e.stopPropagation();
	    });
		
	    //
		appUtils.bindEvent($(_pageId+" #borrow_product"),function(e){
			 appUtils.pageInit("business/borrowApply_1","business/borrowProduct",{borrowProduct:borrowProduct});
		});
		
		//订单期限
		appUtils.bindEvent($(_pageId+" #selCreditTime").parent(), function(e){
			$(_pageId+" .sel_list").toggle();
			e.stopPropagation();
		});
	
		appUtils.bindEvent($(_pageId+" .home"), function(e){
			$(this).addClass("active");
			e.stopPropagation();
		},"touchstart");
		
		appUtils.bindEvent($(_pageId+" .home"), function(e){
			$(this).removeClass("active");
			appUtils.pageInit("business/borrowApply_1","account/myInfoCenter");
			e.stopPropagation();
		},"touchend");
		/*返回*/
		appUtils.bindEvent($(_pageId+" .xdt"), function(e){
			$(this).addClass("active");
			e.stopPropagation();
		},"touchstart");
		/*返回*/
		appUtils.bindEvent($(_pageId+" .xdt"), function(e){
			$(this).removeClass("active");
			appUtils.pageInit("business/borrowApply_1","business/borrowIndex");
			e.stopPropagation();
		},"touchend");
	//		/*阻止点击选择股数的 DIV 触发 page 的绑定事件*/
//		appUtils.bindEvent($(_pageId+" .pop_pled"), function(e){
//			e.stopPropagation();	
//		});
	//查看交易费用 详细信息
		appUtils.bindEvent($(_pageId+" #showfreeinfo"),function(e){
			var content = '<div class="contText" style="padding:10px 0px 0px 0px">'
						+ '<h2 style="color:red;">特别提示</h2>'
			     		+ '<p>根据沪深交易所及沪深登记公司股票质押式回购交易业务相关规定，每笔初始交易的收费标准如下：</p>'
			     		+ '<h6>经手费</h6>'
			     		+ '<p>上海市场按每笔借款金额的0.01‰收取，起点5元人民币，最高不超过100元人民币。</p>'
			     		+ '<p>深圳市场按每笔借款质押标的证券面值1‰收取，最高不超过100元人民币。</p>'
			     		+ '<h6>质押登记费</h6>'
			     		+ '<p>股票500万股以下（含）部分按该部分面值的1‰收取，超500万股的部分按该部分面值的0.1‰收取，起点100元。</p>'
			     		+ '<p>基金500万份以下（含）部分按该部分面值的0.5‰收取，超500万份的部分按该部分面值的0.05‰收取，起点100元。</p>'
			     		+ '<p>债券500万元以下（含）部分按该部分面值的0.5‰收取，超500万元的部分按该部分面值的0.05‰收取，起点100元。</p>'
			     		+ '</div>';
			
			var param = {
					"title" : "交易费用说明",
					"content" : content,
					"isbackflag":"false" //显示协议书 左上角返回按钮 点击返回需要重新加载该页面
			}
			notInit = false;
			appUtils.pageInit("business/borrowApply_1","apply/eleAgreement",param);
			e.stopPropagation();
		});

		/**
		 * 绑定 预计借款金额 输入框
		 * */
		appUtils.bindEvent($(_pageId+" #creditQuantity"),function(e){
			
			$this = $(_pageId+" #creditQuantity");
			
			if (this.value.match("^0") != null) {
				//去掉第一个 0
				$this.val($this.val().replace(/\b(0+)/gi,""));
			}
			
			var allPledgeMoney =0;     //当前手动选股列表里面所有的质押金额
			$(_pageId+" #selSelectStock .stockListCont").each(function(e){
				allPledgeMoney += Number($(this).children("p:eq(7)").children("a").attr("loanmoney"));
			});
			
			//没有质押股票的时候，不允许输入
			if(allPledgeMoney == 0){
				$(_pageId + " #creditQuantity").val('');
				return;
			}
			
			//输入框判断 不能大于实际质押的股票金额
			if(allPledgeMoney < Number($this.val())){
				return;
			}
			
			//重新计算手续费
			$(_pageId+" #allLoanFee").html(calcAllDealFee());
			var getMoney = Number($(_pageId + " #creditQuantity").val()).toFixed(2);
			if(getMoney <0){
				getMoney = 0;
			}
			$(_pageId+" #getMoney").html(formatNum.formatMoney(getMoney));
			
			$(_pageId+" #selSelectStock .stockListCont").each(function(e){
				
				var currentStock = $(this);
				
				//重新计算质押的单只股票的质押金额
				var stockCode = currentStock.children("p:eq(0)").attr("stock-code");  // 股票代码
				
				if(selectedStockMap.containsKey(stockCode)){
					
					var currStock = selectedStockMap.get(stockCode);

					var loan_money = Number(currStock.loan_money);
					
					var loan_money2 = Number(currentStock.children("p:eq(7)").children("a").attr("loanmoney"));
					
					//重新设置 每只股票的实际借款值
					currStock.loan_money = Number((loan_money2 / allPledgeMoney)*Number($this.val())).toFixed(2);
					
					//将当前股票存放到selectedStockMap中。
					if(selectedStockMap.containsKey(stockCode))  // 如果当前股票已经存在
					{
						selectedStockMap.remove(stockCode);  // 移除 map 中的股票数据
					}
					selectedStockMap.put(stockCode, currStock);  // 添加股数数据到 map 中
					
					//将计算数据展示在页面上
					currentStock.children("p:eq(7)").children("a").html(currStock.loan_money);
				}
				
			});
			
			e.stopPropagation();
		},"input");
		
//		appUtils.bindEvent($(_pageId+" #creditQuantity"),function(e){
//			 var $parentStock = $(this).parent().parent().parent(); //获取当前股票的父元素.
//			 
//			 if (this.value.length == 1) {
//				   this.value = this.value.replace(/[^0-9]/g, '');
//			 }
//			 else {
//				 	//去掉第一个 0
//					this.value = this.value = this.value.replace(/\b(0+)/gi,"");
//			 }
//			 var pledgeNumber = $(this).val()==""?0:$(this).val();
//		 },"keydown");
	}
	
	
	/**功能 ， 获取服务器的限制依据*/
	function getqueryServerData(){
		
		var param = {
			"tag_type":modeCode
		}
		service.queryServerData(param,function(data){
			if(data.error_no == "0"){
				
				var oneData = data.results[0];
				
				serverData = {
						"xrz_min_pledge_money" : oneData.xrz_min_pledge_money, //单只股票最低的质押金额
						"switchBigUserMoney"   : oneData.switchBigUserMoney, // 0状态为大订单开启，下面的exaltedMoney对应0状态使用，其他参数不管
						"maxLoanDay"		   : oneData.maxLoanDay,  //最大的借款天数，用于判断是否可以延期
						"creditRatingMax"	   : oneData.creditRatingMax, // 最大的授信额度，用于征信的时候提示，610008接口现在征信后的授信额度如果超过这个值则取这个值
						"xrz_minMoney"		   : oneData.xrz_minMoney,   //单笔订单最低的金额
						"minProductDays"	   : oneData.minProductDays, //最小的借款产品
						"xrz_maxMoney"         : oneData.xrz_maxMoney, //单笔订单最高的金额
						"exaltedMoney"         : oneData.exaltedMoney  //用于大笔订单，借款页面限额，超过这个值则跳到大订单提示页面
				}
				
				$(_pageId+" #creditQuantity").attr("placeholder", oneData.xrz_minMoney+'元及以上');
				
				queryPositionList();   // 查询持仓列表
			}else{
				layerUtils.iAlert(data.error_info);
			}
		},{"isLastReq":false});
	}
	
	//清楚手动选择数据
	 function clearSelected(){
		 $(_pageId+" #selSelectStock .stockListCont").each(function(e){
			 $(this).children("p:eq(6)").html("<b>质押数量：</b>");
			 $(this).children("p:eq(7)").children("a").html("");
			 $(this).children(".num").children(".mid").children("input").val("0");
		 });
	 }
	
	/*为下一步按钮绑定事件*/
	function BindNext()
	{
		appUtils.bindEvent($(_pageId+" .PubBtn"), function(e){
			//规避当客户填完金额之后，没有失去焦点直接点击下一步
				if(validateNext())  // 校验下一步条件
				{
					checkMaxBorrow();  // 校验最大可借款金额
				}
				e.stopPropagation();
		});
	}
	
	/*页面销毁方法*/
	function destroy()
	{
		//如果不执行刷新
		if(notInit){
			service.destroy();
			clearPageElements();   // 清除页面元素
		}
		//$(_pageId+" .TransactionLoan").height((winkeyheight-40)+"px");
		//$(_pageId+" .TransactionLoan").scrollTop((winkeyheight-40)+"px");
	}
	
	/*校验最大可借款金额*/
	function checkMaxBorrow()
	{
		var pageParam = getNextPageParam(),
		    creditQuantity = $(_pageId+" #creditQuantity").val();    //实际借款金额
		var	param =JSON.stringify(pageParam);
		 if(Number(creditQuantity)>maxCanBorrowMoney){
			 layerUtils.iMsg(-1,"借款金额不能超过最大可借款金额");
			 return;
		 }
		 else if(!validateLastStock()){
			 layerUtils.iMsg(-1,"对不起，单只股票【借款金额】必须大于"+Number(serverData.xrz_min_pledge_money));
			 return;
		 }
		 else{
			 // 0状态为大订单开启，下面的exaltedMoney对应0状态使用，其他参数不管
			 if(serverData.switchBigUserMoney=="0"){
				//单笔借款大于等于2000000的时候 为大订单，
				 if(Number(creditQuantity) >= Number(serverData.exaltedMoney)){
//					 layerUtils.iAlert("您输入的借款金额过大，稍后会有工作人员与你联系 ",0,function(e){
						 var param = {
								 "tag_type":"xrz",
								 "borrow_amount":creditQuantity,
								 "days":pageParam.loan_day
						 }
						 service.saveBigOrReadOrder(param,function(data){
							 if(data.error_no == 0){
								 layerUtils.iAlert(data.error_info,0,function(e){
									 appUtils.pageInit("business/borrowApply_1","business/borrowApply_1");
								 });
							 }
							 else{
								 layerUtils.iAlert(data.error_info);
							 }
						 });
//					 });
					 return;
				 }
			 }
			 
			 service.saveOrReadOrder("save",param,function(data){
				 if(data.error_no == 0){
					 appUtils.pageInit("business/borrowApply_1","business/borrowConfirm",pageParam);
				 }
				 else{
					 layerUtils.iAlert(data.error_info);
				 }
			 });
			 
		 }
	}
	//校验最后一支股票的质押金额要大于2000
	function validateLastStock(){
		 //获取最后一支股票，根据存储的市值进行计算。
		var stockPledgeMoney = 0;
		var canGo = true;
		for(var i=0;i<selectedStockMap.elements.length;i++){
				stockPledgeMoney = Number(selectedStockMap.elements[i].value.loan_money).toFixed(2);
			  if(stockPledgeMoney < Number(serverData.xrz_min_pledge_money)){
				  canGo =  false;
				  break;
			  }
		}
		return canGo;
	}
	/*校验下一步条件*/
	function validateNext()
	{
		var creditQuantity = $(_pageId+" #creditQuantity").val(),  // 借款金额
			creditTime = $(_pageId+" #selCreditTime").attr("credit-time");  // 贷款期限
	if(Number(creditQuantity).toString() == 'NaN'){
			
			creditQuantity = 0;
		}
		if(!creditTime)  // 贷款期限为空时
		{
			layerUtils.iMsg(-1, "请先选择贷款期限");
			return false;
		}
		else if(!validateCreditQuantity(creditQuantity))  // 校验借款金额)

		{
			return false;
		}
		else if(creditQuantity == "")
		{
			layerUtils.iMsg(-1, "借款金额不能为空");
			return false;
		}
		else if(!validatePledgeMoney()){
			return false;
		}
		return true;
	}
	
	function validatePledgeMoney(){
		var currPledge = 0;
		var creditQuantity = Number($(_pageId+" #creditQuantity").val());
		for(var i=0;i<selectedStockMap.elements.length;i++){
			currPledge +=Number(selectedStockMap.elements[i].value.loan_money);
		}
		currPledge = Number(currPledge).toFixed(2);
		if(currPledge<creditQuantity){
			layerUtils.iMsg(-1,"对不起，您实际质押股票的金额小于借款金额");
			return false;
		}
//		if(currPledge>creditQuantity){
//			layerUtils.iMsg(-1,"对不起，您实际质押股票的金额大于借款金额");
//			return false;
//		}
//		else{
//			return true;
//		}
		return true;
	}
	/*查询持仓列表*/
	function queryPositionList()
	{
		var positionListParam = {
				"entrust_way": userInfoInSession.entrust_way,  // 委托方式
				"branch_no" : userInfoInSession.branch_no,  // 分支机构
				"fund_account" : userInfoInSession.fund_account,  // 资金账号
				"cust_code" : userInfoInSession.cust_code, // 客户编号
				"op_station" :  userInfoInSession.op_station,   // 操作站点
				"user_id" :  userInfoInSession.user_id,   // 操作站点
				"cash_type":modeCode
		};
		service.queryPositionList(positionListParam, function(data){
			if(data.error_no == "0")  
			{
				fillPositionList(data.results);   // 填充持仓列表
				queryCreditTimeList();  // 查询贷款期限列表
			}
			else
			{
				layerUtils.iLoading(false);
				layerUtils.iAlert(data.error_info);
			}
		},{"isLastReq":false});
	}
	
	/**
	 * 填充持仓列表
	 * @param results 查询出来的持仓列表 
	 */
	function fillPositionList(results)
	{
		if(results.length != 0){
			$(_pageId+" .stockList").show();
		}
		var allPositionStr = "";  // 所有持仓字符串
		for(var i = 0; i < results.length; i++)
		{
			var stockName = results[i].stock_name.replace(/\ +/g,""),  // 股票名
				market = results[i].exchange_type,  // 市场类别  2 沪A市 0 深A市
				marketName  = results[i].exchange_type_name,
				coefficient = results[i].coefficient-0,  // 股票自身质押率
				stockCode   = results[i].stock_code,  // 股票代码
				lastPrice   = results[i].last_price-0,  // 最新价格
				now_price   = results[i].now_price-0,
				followLine  = results[i].follow_line,
				warnLine    = results[i].warn_line,
				lowLine     = results[i].low_line,
				reality_coefficient =(results[i].coefficient-0), //实际质押率，根据资金用途改变，初始为自身质押率
				stkbal = results[i].enable_amount-0; // 最大可交易股票数
				
			var max_loan_money = (coefficient*lastPrice*stkbal).toFixed(2);
			
			//判断是否有对应的资质。如果没有则不添加到list中。
		    if(userInfoInSession.shzzIsOpen != "Y"&& market == "2"){
				continue;
			}
				//如果可交易股票数为0 则不予显示
			if(stkbal == 0){
				
			}
			else
			{
				allPositionStr += "<div class='stockListCont'>";
				allPositionStr += "<div><span style='width:100%;color:red'>本支证券最大可借金额："+max_loan_money+"元</span></div>";
				allPositionStr += "<p coefficient="+coefficient+" stock-code="+stockCode+" last-price="+lastPrice+" stkbal="+stkbal+"  market="+market+"  stock-name='"+stockName+"'  marketName='"+marketName+"'  reality_coefficient="+reality_coefficient+"  warn_line="+warnLine+" low_line="+lowLine+" follow_line="+followLine+"><b>股票名称：</b>"+stockName+"</p>";
				allPositionStr += "<p stock-code="+stockCode+"><b>股票代码：</b>"+stockCode+"</p>"; 
				allPositionStr += "<p ><b>最  新  价：</b>"+now_price+"</p>"; 
				allPositionStr += "<p reality_coefficient="+reality_coefficient+"><b>折  算  率：</b>"+reality_coefficient+"</p>"; 
				allPositionStr += "<p last-price="+lastPrice+"><b>协 议 价：</b>"+lastPrice+"</p>";
				allPositionStr += "<p stkbal="+stkbal+"><b>可质押数量：</b>"+stkbal+"</p>";
				allPositionStr += "<p><b>质押数量：</b></p>";
				allPositionStr += "<p><b>预计借入金额：</b><a loanmoney='0'></a></p>";
				allPositionStr += "<p style='width: 100px;line-height: 36px;'><b>添加质押数量：</b></p>";
				allPositionStr += "<div class='num'>";
				allPositionStr += "<span><a href='javascript:void(0);' class='minus'></a></span>";
				allPositionStr += "<span class='mid'><input style='width: 100px;' type='tel' value='0'></span>";
				allPositionStr += "<span><a href='javascript:void(0);' class='add'></a></span>";
				allPositionStr += "</div>";
				allPositionStr += "<div class='clear'></div>";
				
				allPositionStr += "</div>";
			}
		}
		$(_pageId+" #selSelectStock").html(allPositionStr);  // 填充持仓
		//绑定每支股票的输入框事件
		bindStockInput();
		bindStockAddAndMinus();
		
//		if(gconfig.platform == "1"){
//			//绑定输入框焦点事件
//			appUtils.bindEvent($(_pageId+" input[type='tel']"), function(e){
//				var keyheight = winkeyheight - $(window).height();
//				
//				if(keyheight <= 0){
//					keyheight = $(window).height()/3;
//				}
//				
//				$(_pageId+" .TransactionLoan").height(($(_pageId+" .TransactionLoan").height()+keyheight)+"px");
//				$(_pageId+" .TransactionLoan").scrollTop(($(_pageId+" .TransactionLoan").height())+"px");
//				e.stopPropagation();
//			},"focus");
//			appUtils.bindEvent($(_pageId+" input[type='tel']"), function(e){
//				$(_pageId+" .TransactionLoan").height((winkeyheight-40)+"px");
//				$(_pageId+" .TransactionLoan").scrollTop((winkeyheight-40)+"px");
//				e.stopPropagation();
//			},"blur");
//		}
		
	}
	
	function bindStockInput(){
		appUtils.bindEvent($(_pageId+" #selSelectStock .stockListCont .mid input"),function(e){
			
			if (this.value.match("^0") != null) {
				//去掉第一个 0
				this.value = this.value = this.value.replace(/\b(0+)/gi,"");
			}
			
			var $parentStock = $(this).parent().parent().parent(); //获取当前股票的父元素.
			var maxPledgeNumber = Number($parentStock.children("p:eq(0)").attr("stkbal"));
			var checkNum = /^[0-9]\d*$/;
			if($(this).val()!=""){
				if(!checkNum.test($(this).val())){
					$(this).val(0);
//					return;
				}
			}
			if(Number($(this).val())>maxPledgeNumber){
				layerUtils.iMsg(-1,"您当前该只股票最多可质押"+maxPledgeNumber);
				$(this).val(maxPledgeNumber);
				$parentStock.children("p:eq(6)").html("<b>质押数量：</b>"+maxPledgeNumber);
//				return;
			}
			var pledgeNumber = $(this).val()==""?0:$(this).val();
			//计算当前股票的显示. $parentStock 当前股票 $(this).val()  当前数量.
			calcuAndShowStock($parentStock,pledgeNumber);
		},"input");
		
//		 appUtils.bindEvent($(_pageId+" #selSelectStock .stockListCont .mid input"),function(e){
//			 var $parentStock = $(this).parent().parent().parent(); //获取当前股票的父元素.
//			 
//			 if (this.value.length == 1) {
//				   this.value = this.value.replace(/[^0-9]/g, '');
//			 }
//			 else {
//				 	//去掉第一个 0
//					this.value = this.value = this.value.replace(/\b(0+)/gi,"");
//			 }
//			 var pledgeNumber = $(this).val()==""?0:$(this).val();
//		 },"keydown");
		 
		 //焦点移开整数股
		 appUtils.bindEvent($(_pageId+" .stockListCont .mid input"),function(e){
			
			if (this.value.length == 1) {
				   this.value = this.value.replace(/[^0-9]/g, '');
			 }
			 else {
				//去掉第一个 0
				this.value = this.value = this.value.replace(/\b(0+)/gi,"");
			}
			
			this.value -= Number(this.value)%100;
			
			var $parentStock = $(this).parent().parent().parent(); //获取当前股票的父元素.
			var maxPledgeNumber = Number($parentStock.children("p:eq(0)").attr("stkbal"));
			
			maxPledgeNumber -= maxPledgeNumber%100;
			
			var checkNum = /^[0-9]\d*$/;
			if($(this).val()!=""){
				if(!checkNum.test($(this).val())){
					$(this).val(0);
//						return;
				}
			}
			if(Number($(this).val())>maxPledgeNumber){
				layerUtils.iMsg(-1,"您当前该只股票最多可质押"+maxPledgeNumber);
				$(this).val(maxPledgeNumber);
				$parentStock.children("p:eq(6)").html("<b>质押数量：</b>"+maxPledgeNumber);
			}
			var pledgeNumber = $(this).val()==""?0:$(this).val();
			//计算当前股票的显示. $parentStock 当前股票 $(this).val()  当前数量.
			calcuAndShowStock($parentStock,pledgeNumber);
		},"mouseout");
	}
	
	function bindStockAddAndMinus(){
		appUtils.bindEvent($(_pageId+" #selSelectStock .stockListCont .add"),function(e){
			$(this).addClass("active");
		},"touchstart");
		//数量增加
		appUtils.bindEvent($(_pageId+" #selSelectStock .stockListCont .add"),function(e){
			$(this).removeClass("active");
			var $parentStock = $(this).parent().parent().parent();  //获取当前元素的股票父元素
			//获取当前已质押的股数。判断是否超过了最大质押数量。
			var stockNum = Number($parentStock.children(".num").children(".mid").children("input").val());
			var maxStockNum = Number($parentStock.children("p:eq(0)").attr("stkbal"));
			maxStockNum -= maxStockNum%100;
			if((Number(stockNum)+100) > maxStockNum){
				layerUtils.iMsg(-1,"您当前该只股票最多可质押"+maxStockNum);
				$parentStock.children(".num").children(".mid").children("input").val(maxStockNum);
				$parentStock.children("p:eq(6)").html("<b>质押数量：</b>"+maxStockNum);
				return;
			}
			var allPledgeMoney =0;     //当前手动选股列表里面所有的质押金额
			//当前股票的质押金额。
			var selStockNum = Number($parentStock.children(".num").children(".mid").children("input").val())+100;
			$parentStock.children(".num").children(".mid").children("input").val(selStockNum);
			calcuAndShowStock($parentStock,selStockNum);
		},"touchend");
		
		//数量减少
		appUtils.bindEvent($(_pageId+" #selSelectStock .stockListCont .minus"),function(e){
			$(this).addClass("active");
		},"touchstart");
		
		appUtils.bindEvent($(_pageId+" #selSelectStock .stockListCont .minus"),function(e){
			$(this).removeClass("active");
			var $parentStock = $(this).parent().parent().parent();  //获取当前元素的股票父元素
			var stockNum = Number($parentStock.children(".num").children(".mid").children("input").val());
			var  oneNum = 1*Number($parentStock.children("p:eq(0)").attr("last-price"))*Number($parentStock.children("p:eq(0)").attr("reality_coefficient"));
			if(stockNum<100){
				stockNum = 0;
			}
			else{
				stockNum-=100;
			}
			
			//获取当前股票的基本数据，方便后面计算。
			var stockCode = $parentStock.children("p:eq(0)").attr("stock-code"),  // 股票代码
				reality_coefficient = $parentStock.children("p:eq(0)").attr("reality_coefficient"),
				last_price = $parentStock.children("p:eq(0)").attr("last-price"),
				stkbal = $parentStock.children("p:eq(0)").attr("stkbal"),
				market = $parentStock.children("p:eq(0)").attr("market"),
				warn_line = $parentStock.children("p:eq(0)").attr("warn_line"),
				low_line = $parentStock.children("p:eq(0)").attr("low_line"),
				follow_line = $parentStock.children("p:eq(0)").attr("follow_line"),
				stockName = $parentStock.children("p:eq(0)").attr("stock-name"),
				marketName = $parentStock.children("p:eq(0)").attr("marketname");
			
			
			pledgeCount(stockCode,stockNum,market,function(borrowMoney){
				if(borrowMoney == 0){
					stockNum = 0;
				}
				//计算数据 
				var pledgeNumber = stockNum,
					trading_fee2 =  Number(calcRegisterFee(pledgeNumber)).toFixed(2), //质押登记费
					trading_fee1 = calcBrokerage(borrowMoney,pledgeNumber,market), // 质押经手费
					loan_fee = Number(trading_fee1)+Number(trading_fee2);
					loan_fee = loan_fee.toFixed(2);
				var	currStock = {
						stock_code : stockCode,    //股票代码
						stock_name : stockName,    //股票名称
						stock_price : parseFloat(last_price),    //股票价格
						enable_amount : parseFloat(stkbal),    //可质押数量
						loan_money : borrowMoney,  // 质押金额
						loan_money2 : borrowMoney, //
						loan_fee : loan_fee,  // 交易费用
						warn_line : warn_line,  // 警戒履约保障比例
						low_line : low_line,  // 最低履约保障比例
						follow_line : follow_line,  // 关注比例
						brokerage_fee : trading_fee1,  // 质押经手费
						pledge_fee : trading_fee2,  // 质押登记费
						exchange_type : market,   // 市场类别  1 沪市 0 深市
						exchange_type_name : marketName,  //时长名称
						loan_stock_amount : pledgeNumber,  // 质押股数
						coefficient : Number(reality_coefficient) // 实际质押率
				    };
				//如果当前这支股票的质押数量为0 ，并存在于map中。则移除当前股票从列表里面
				if(pledgeNumber == 0){
					if(selectedStockMap.containsKey(stockCode))  // 如果当前股票已经存在
					{
						selectedStockMap.remove(stockCode);  // 移除 map 中的股票数据
					}
				}else {
					 //将当前股票存放到selectedStockMap中。
					if(selectedStockMap.containsKey(stockCode))  // 如果当前股票已经存在
					{
						selectedStockMap.remove(stockCode);  // 移除 map 中的股票数据
					}
					selectedStockMap.put(stockCode, currStock);  // 添加股数数据到 map 中
				}
				$parentStock.children("p:eq(6)").html("<b>质押数量：</b>"+currStock.loan_stock_amount);
				$parentStock.children("p:eq(7)").children("a").html(currStock.loan_money).attr("loanmoney",currStock.loan_money2);
				$parentStock.children(".num").children(".mid").children("input").val(currStock.loan_stock_amount);
				 // 计算总的展示数据   交易费用  预计借款金额  预计到账金额
				var allPledgeMoney =0;     //当前手动选股列表里面所有的质押金额
				$(_pageId+" #selSelectStock .stockListCont").each(function(e){
					allPledgeMoney += Number($(this).children("p:eq(7)").children("a").attr("loanmoney"));
				});
				$(_pageId+" #allLoanFee").html(calcAllDealFee());
				$(_pageId+" #creditQuantity").val(Number(allPledgeMoney).toFixed(2));
				var getMoney = Number(allPledgeMoney).toFixed(2);
				if(getMoney <0){
					getMoney = 0;
				}
				$(_pageId+" #getMoney").html(formatNum.formatMoney(getMoney));
			});
			
		},"touchend");
	}
	/*手动选股计算。
	 * param stock 当前股票对象
	 * number  当前股票质押数量
	 * */
	function calcuAndShowStock(currentStock , number){
		//
		
		//获取当前股票的基本数据，方便后面计算。
		var stockCode = currentStock.children("p:eq(0)").attr("stock-code"),  // 股票代码
			reality_coefficient = currentStock.children("p:eq(0)").attr("reality_coefficient"),
			last_price = currentStock.children("p:eq(0)").attr("last-price"),
			stkbal = currentStock.children("p:eq(0)").attr("stkbal"),
			market = currentStock.children("p:eq(0)").attr("market"),
			stockName = currentStock.children("p:eq(0)").attr("stock-name"),
			warn_line = currentStock.children("p:eq(0)").attr("warn_line"),
			low_line = currentStock.children("p:eq(0)").attr("low_line"),
			follow_line = currentStock.children("p:eq(0)").attr("follow_line"),
			marketName = currentStock.children("p:eq(0)").attr("marketname");
		
		pledgeCount(stockCode,number,market,function(borrowMoney){
			if(borrowMoney == 0){
				number = 0;
			}
			//计算数据 
			var pledgeNumber = number,
				trading_fee2 =  Number(calcRegisterFee(pledgeNumber)).toFixed(2), //质押登记费
				trading_fee1 = calcBrokerage(borrowMoney,pledgeNumber,market), // 质押经手费
				loan_fee = Number(trading_fee1)+Number(trading_fee2);
				loan_fee = loan_fee.toFixed(2);
			var	currStock = {
					stock_code : stockCode,    //股票代码
					stock_name : stockName,    //股票名称
					stock_price : parseFloat(last_price).toFixed(2),    //股票价格
					enable_amount : parseFloat(stkbal),    //可质押数量
					loan_money : borrowMoney,  // 实际质押金额
					loan_money2 : borrowMoney, // 股票可以质押的金额
					loan_fee : loan_fee,  // 交易费用
					warn_line : warn_line,  // 警戒线
					low_line : low_line,  // 最低履约保障比例线
					follow_line : follow_line,  //关注比例
					brokerage_fee : trading_fee1,  // 质押经手费
					pledge_fee : trading_fee2,  // 质押登记费
					exchange_type : market,   // 市场类别  2沪市A 0 深市A
					exchange_type_name : marketName,  //时长名称
					loan_stock_amount : pledgeNumber,  // 质押股数
					coefficient : Number(reality_coefficient) // 实际质押率
			    };
			
			//如果当前这支股票的质押数量为0 ，并存在于map中。则移除当前股票从列表里面
			if(pledgeNumber == 0){
				if(selectedStockMap.containsKey(stockCode))  // 如果当前股票已经存在
				{
					selectedStockMap.remove(stockCode);  // 移除 map 中的股票数据
				}
			}else {
				 //将当前股票存放到selectedStockMap中。
				if(selectedStockMap.containsKey(stockCode))  // 如果当前股票已经存在
				{
					selectedStockMap.remove(stockCode);  // 移除 map 中的股票数据
				}
				selectedStockMap.put(stockCode, currStock);  // 添加股数数据到 map 中
			}
		     //将计算数据展示在页面上
				currentStock.children("p:eq(6)").html("<b>质押数量：</b>"+currStock.loan_stock_amount);
				currentStock.children("p:eq(7)").children("a").html(currStock.loan_money).attr("loanmoney",currStock.loan_money2);
				currentStock.children(".num").children(".mid").children("input").val(currStock.loan_stock_amount);
				var allPledgeMoney =0;     //当前手动选股列表里面所有的质押金额
				$(_pageId+" #selSelectStock .stockListCont").each(function(e){
					allPledgeMoney += Number($(this).children("p:eq(7)").children("a").attr("loanmoney"));
				});
		    // 计算总的展示数据   交易费用  预计借款金额  预计到账金额
				$(_pageId+" #allLoanFee").html(calcAllDealFee());
				$(_pageId+" #creditQuantity").val(Number(allPledgeMoney).toFixed(2));
				var getMoney = Number(allPledgeMoney).toFixed(2);
				if(getMoney <0){
					getMoney = 0;
				}
				$(_pageId+" #getMoney").html(formatNum.formatMoney(getMoney));
		})
	}
	
	/*计算所有交易费用*/
	function calcAllDealFee()
	{
		var allDealFee = 0; // 所有交易费用
		 for(var i = 0;i<selectedStockMap.elements.length;i++){
			 allDealFee +=Number(selectedStockMap.elements[i].value.loan_fee);
		 }
		return Number(allDealFee.toFixed(2));
	}
	
	//计算所有质押金额
	function calcAllPledgeMoney(){
		var pledgeMoney = 0;
		var selectedKeys = selectedStockMap.keys();  // map 中所有股票数据的 key
		for(var i = 0; i < selectedKeys.length; i++)
		{
			var oneData = selectedStockMap.get(selectedKeys[i]); // 一条股票数据
			pledgeMoney +=oneData["loan_money"];
		}
		return Number(pledgeMoney).toFixed(2);
	}
	
	/*清除选择质押的数据*/
	function clearDataSelPledge()
	{
		$(_pageId+" #stockList a[coefficient]").removeAttr("selected");  // 移除所有股票的 selected 属性
		$(_pageId+" .pop_pled input").val("");  // 清空质押金额和股数
		$(_pageId+" .pop_pled #registerFee").html("0.00");  // 清空登记费
		$(_pageId+" .pop_pled").slideUp(200, function(){
			if($choosedStock!=""){
				$($choosedStock).css("background","#FFFFFF");
				$($choosedStock).css("color","#FF9D33");
			}
			BindNext();  // 为下一步按钮绑定事件
		}); // 隐藏选择股数 DIV
	}
	
//	/**
//	 * 验证当前质押股数
//	 */
//	function validateCurrPledgeSum()
//	{
//		var currPledgeSum = $(_pageId+" #pledgeNum").val(), // 当前质押股数
//			currCoefficientRate = $(_pageId+" #coefficientRate").html(),   // 当前折算率
//			currLastPrice = $(_pageId+" #stockName").attr("last-price"),  // 当前最新价格
//			market = $(_pageId+" #stockName").attr("market"),
//			availPledge = parseInt($(_pageId+" #pledgeNum").attr("avail-pledge"));   // 最大可质押股数
//		if(currPledgeSum == ""||currPledgeSum == 0){
//			$(_pageId+" #dealFee").html("0");  // 设置交易费
//			return;
//		}
//		if(currPledgeSum < 0)
//		{
//			layerUtils.iMsg(-1, "质押股数不能小于 0");
//			$(_pageId+" #pledgeNum").val("");
//			return false;
//		}
//		else if(currPledgeSum > availPledge)
//		{
//			layerUtils.iMsg(-1, "质押股数不能大于可质押股数");
//			$(_pageId+" #pledgeNum").val(0);
//			return false;
//		}
//		var currPledgeMoney = calcPledgeMoney(currPledgeSum, currCoefficientRate, currLastPrice);  // 当前质押金额
//		$(_pageId+" #pledgeMoney").html(currPledgeMoney);  // 质押金额
//		var dealFee = calcRegisterFee(currPledgeSum) + calcBrokerage(currPledgeMoney,currPledgeSum,market);
//		$(_pageId+" #dealFee").html(Number(dealFee).toFixed(2));  // 设置交易费
//		return true;
//	}
	
//	/**
//	 * 计算质押金额
//	 * @param pledgeNum 质押股数
//	 * @param coefficientRate 折算率
//	 * @param lastPrice 最新价格
//	 */
//	function calcPledgeMoney(pledgeNum, coefficientRate, lastPrice)
//	{
//		var currPledgeSum = parseInt(pledgeNum),  // 质押股数
//			currCoefficientRate = parseFloat(coefficientRate),  // 折算率
//			lastPrice = parseFloat(lastPrice); // 最新价格
//        var price = currCoefficientRate	*lastPrice*currPledgeSum;
//        
//        price -= price%100;
//        
//		return Number(price.toFixed(2));  // 保留两位小数之后再转换为数字
//	}
	
	/**
	 * 验证当前借款金额
	 */
	function validateCurrBorrMoney()
	{
		var currBorrMoney = Number($(_pageId+" #creditQuantity").val()),  // 当前借款金额
			maxBorrowMoney = Number(maxCanBorrowMoney);  // 最大可质押金额
		if(currBorrMoney < 0)
		{
			layerUtils.iMsg(-1, "借款金额不能小于 0");
			$(_pageId+" #borrowMoney").html("");  // 清空借款金额
			return false;
		}
		else if(currBorrMoney > maxBorrowMoney)
		{
			layerUtils.iMsg(-1, "借款金额不能大于可质押金额");
			return false;
		}
		return true;
	}
	
//	/*验证是否确定按钮是否可点击*/
//	function validateOk()
//	{
//		var currBorrowMoney = Number($(_pageId+" #borrowMoney").html()),   // 借款金额
//			currPledgeMoney = Number($(_pageId+" #pledgeMoney").html());  // 当前质押股数
//			currPledgeSum = Number($(_pageId+" #pledgeNum").val());  // 当前质押股数
//		if(currBorrowMoney == 0 || currPledgeSum == 0)  // 当质押数量或金额都为空时，返回 true
//		{
//			return true;
//		}
//		if(!validateCurrPledgeSum())  // 校验质押数量
//		{
//			return false;
//		}
//		else if(!validateCurrBorrMoney())  // 校验质押金额
//		{
//			return false;
//		}
//		else if(currBorrowMoney > currPledgeMoney)
//		{
//			layerUtils.iMsg(-1, "借款金额不能大于当前质押金额");
//			return false;
//		}
//		return true;
//	}
	/*恢复 NaN 的数据为 0.00*/
	function restoreNaNData()
	{
		if(Number($(_pageId+" #showInterest").attr("interest")).toString() == "NaN")  // 当计算出来的利息为 NaN，即计算错误时
		{
			$(_pageId+" #showInterest").html("0.0元(0.00元*(0天*0.00/365))");  // 恢复利息
			$(_pageId+" #rebuyMoney").html("0.00").removeAttr("all-fee");
		}
	}
	
	/*计算所有借款总和*/
	function calcAllBorrow()
	{
		var borrowSum = 0;
		$(_pageId+" #selectedList tr:gt(0)").each(function(){
			var currBorrowMoney = Number($(this).find("td:eq(2) strong").html());  // 当前借款金额
			borrowSum += currBorrowMoney;
		});
		return Number(borrowSum.toFixed(2));
	}
	
	/**
	 * 计算质押登记费
	 * @param pledgeNum 质押股数
	 */
	function calcRegisterFee(pledgeNum)
	{
		var registerFee = 0,  // 质押登记费
			currPledgeNum = Number(pledgeNum);  // 当前质押股数
		if(currPledgeNum<=borrowMoney_deelFee.critical){
			registerFee = pledgeNum*borrowMoney_deelFee.under_critical;
			if(registerFee<borrowMoney_deelFee.zyfee){
				registerFee = borrowMoney_deelFee.zyfee;
			}
		}else if(currPledgeNum>borrowMoney_deelFee.critical){
			registerFee =Number(pledgeNum-borrowMoney_deelFee.critical)*borrowMoney_deelFee.over_critical+borrowMoney_deelFee.critical*borrowMoney_deelFee.under_critical;
		}
		return registerFee;
	}
	
	/*计算利息*/
	function calcInteret()
	{
		var creditTime = $(_pageId+" #selCreditTime").attr("credit-time"),  // 借款时间
			creditQuantity = Number($(_pageId+" #creditQuantity").val()),   // 借款数量
			creditRate = $(_pageId+" #selCreditTime").attr("credit-rate"),   // 借款利率
			dayInterest = 0,  // 日息
			showInterstStr = "",  // 显示利息的字符串
			interest = 0;
		creditTime = Number(creditTime);   // 将借款时间转换为数字
		creditRate = Number(creditRate);   // 将利率转换为数字
		interest = (creditTime / 360) * creditRate * (creditQuantity);  // 利息=((天数/360)*利率*(金额))/100
		interest = interest.toFixed(2);  // 保留两位小数 
		dayInterest = (Number(interest) / creditTime).toFixed(2);  // 日息
		return interest;
//		showInterstStr = interest+"元("+creditQuantity+"*("+creditTime+"*"+creditRate+"/365)";
//		$(_pageId+" #showInterest").html(showInterstStr).attr("interest", interest).prev().html("到期利息：");  // 设置利息
	}

	
	
	/*计算购回金额*/
	function calcRebuyMoney()
	{
		var rebuyMoney = 0,  // 购回金额
			creditQuantity = Number($(_pageId+" #creditQuantity").val()),  // 借款金额
			interest = Number($(_pageId+" #showInterest").attr("interest")),   // 借款利息
			creditTime = $(_pageId+" #selCreditTime").attr("credit-time"),  // 借款时间
			allFee = calcAllDealFee();  // 所有交易费用
		rebuyMoney = Number(creditQuantity + interest + allFee).toFixed(2);  // 购回金额=借款金额+利息+所有交易费
		if(creditTime == "随借随还")
		{
			$(_pageId+" #rebuyMoney").html(rebuyMoney).attr("all-fee", allFee.toFixed(2)).parent().hide();  // 隐藏购回金额
		}
		else
		{
			$(_pageId+" #rebuyMoney").html(rebuyMoney).attr("all-fee", allFee.toFixed(2)).parent().show();  // 显示购回金额
		}
	}
	
	/**
	 * 校验借款金额
	 * @param creditQuantity 借款金额
	 */
	function validateCreditQuantity(creditQuantity)
	{
		creditQuantity = Number(creditQuantity);
		if(creditQuantity < Number(serverData.xrz_minMoney))
		{
			layerUtils.iMsg(-1, "对不起，单只证券单笔借款金额不能低于"+Number(serverData.xrz_minMoney)+"元");
			return false;
		}
		else if(creditQuantity > Number(maxCanBorrowMoney))   // 如果借款金额大于最大可借款金额
		{
			layerUtils.iMsg(-1, "借款金额不能大于可用额度");
			return false;
		}else if(creditQuantity > Number(serverData.xrz_maxMoney)){
			layerUtils.iMsg(-1, "单笔订单最高的金额"+Number(serverData.xrz_maxMoney));
			return false;
		}
		return true;
	}
	
	/*查询贷款期限列表*/
	function queryCreditTimeList()
	{
		var param = {
				tag_type: modeCode      //xrz为打新     cg为可用   qx为可取
		}
		service.queryCreditTimeList(param, function(data){
			if(data.error_no == "0")
			{
				borrowProduct = data.results;
				fillCreditTimeList(data.results);  // 填充贷款时间列表
				getCreditMoney();
			}
			else
			{
				layerUtils.iLoading(false);
				layerUtils.iAlert(data.error_info);
			}
		},{"isLastReq":false,"isShowWait":true,"timeOutFunc":handleCreditTimeList});
	}
	/*填充贷款时间列表*/
	function fillCreditTimeList(results)
	{
		var allCreditTimeStr = "";  // 所有填充时间字符串
		for(var i = 0; i < results.length; i++)
		{
			var creditRate = results[i].repay_rate, // 借款利率
				days = results[i].days;  //借款天数
				creditTime = results[i].loanperiod;  // 借款期限
				var a = "";
			    a = days+"天期（年利率"+Number(creditRate*100).toFixed(2)+"%）";
				allCreditTimeStr += '<li class="active"><a href="javascript:void(0);" credit-time="'+days+'" credit-rate="'+creditRate+'">'+a+'</a></li>';
		}
		$(_pageId+" .sel_list ul").html(allCreditTimeStr);
		BindSelCreditTime();  // 绑定选择贷款期限
	}
	
	/*绑定选择贷款期限*/
	function BindSelCreditTime()
	{
		appUtils.bindEvent($(_pageId+" .sel_list ul li a[credit-time]"), function(e){
			var creditDays = $(this).attr("credit-time"),  // 贷款时间
				showVal = $(this).html();   //显示在输入框的内容
				creditRate = $(this).attr("credit-rate");  // 利率
			// 设置选择贷款时间的文本和自定义属性
			$(_pageId+" #selCreditTime").val(showVal).attr({"credit-time":creditDays,"credit-rate" : creditRate});
			$(_pageId+" .sel_list").slideUp(200);  // 隐藏贷款期限下拉列表
			e.stopPropagation();
		});
	}
	
	/*重新计算页面数据*/
	function recalcPageData()
	{
		calcInteret();  // 计算利息
		calcRebuyMoney();  // 计算购回金额
		restoreNaNData();  // 恢复 NaN 的数据为 0.00
		recalcSelPlegeMoney();  // 重新计算已选择股票的质押金额
	}
	
	/*重新计算已选择股票的质押金额*/
	function recalcSelPlegeMoney()
	{
		var selectedKeys = selectedStockMap.keys();  // map 中所有股票数据的 key
		for(var i = 0; i < selectedKeys.length; i++)
		{
			var oneData = selectedStockMap.get(selectedKeys[i]),  // 一条股票数据
				currPledgeSum = oneData["loan_stock_amount"], // 当前质押股数
				currCoefficientRate = oneData["coefficient"],   // 当前折算率
				currLastPrice = oneData["stock_price"],  // 当前最新价格
				currPledgeMoney = calcPledgeMoney(currPledgeSum, currCoefficientRate, currLastPrice);  // 当前质押金额
			oneData["loan_money"] = currPledgeMoney; // 改变质押金额
		}
		resetSelPlegeMoney();  // 重新设置已选择股票的质押金额
	}
	/*重新设置已选择股票的质押金额*/
	function resetSelPlegeMoney()
	{
		var selectedKeys = selectedStockMap.keys();  // map 中所有股票数据的 key
		for(var i = 0; i < selectedKeys.length; i++)
		{
			var oneData = selectedStockMap.get(selectedKeys[i]),  // 一条股票数据
				stockCode = oneData["stockCode"],  // 股票代码
				pledgeMoney = oneData["loan_money"],  // 质押金额
				// 与 stockCode 对应的当前股票的 jquery 对象	
				$currStock = $(_pageId+" #selectedList tr td:eq(0) span[stock-code='"+stockCode+"']").parents("tr");  
			$currStock.find("td:eq(1) strong").attr("pledge-money", pledgeMoney);  // 设置折算率
		}
	}
	
	/*获取传给下一个页面的参数*/
	function getNextPageParam()
	{
		var nextPageParam = {},
			days =  $(_pageId+" #selCreditTime").attr("credit-time"),  // 产品期限
			creditQuantity = $(_pageId+ " #creditQuantity").val(),
			borrow_amount =  Number($(_pageId+" #creditQuantity").text()),   // 借款金额
			interestRate   =  Number($(_pageId+" #selCreditTime").attr("credit-rate")),   // 利率
			be_used = modeCode,  //资金用途
			interest = Number(calcInteret()).toFixed(2);   // 利息
		nextPageParam["loan_money"] = creditQuantity; // 借款金额
		nextPageParam["loan_stock_arr"] = [];
		for(var i = 0;i<selectedStockMap.elements.length;i++){
			nextPageParam["loan_stock_arr"][i] = selectedStockMap.elements[i].value;  
		}
		nextPageParam["total_loan_fee"] = Number(getTradingFee("trading_fee1"))+Number(getTradingFee("trading_fee2")); //  交易经手费
		nextPageParam["tag_type"] = be_used; // 购回金额
		nextPageParam["dayInterest"] = "1"; 
		if(days == "随借随还")   // 随借随还时
		{
			nextPageParam["loan_day"] = "随借随还";  // 交易期限
			nextPageParam["interest"] = "0"; // 利息
			nextPageParam["loan_rate"] = 0.0005; // 利率
		}
		else
		{
			nextPageParam["loan_day"] = days;  // 交易期限
			nextPageParam["interest"] = interest; // 利息
			nextPageParam["loan_rate"] = interestRate; // 利率
		}
		nextPageParam["jiaoyi_type"] = "初始交易"; // 交易类型
		return nextPageParam;
	}
	
	//根据传参类型获取不同的交易费用
	function getTradingFee(tradingFeeType){
		
		var stock = selectedStockMap.elements; //已选择的股票列表
		var trad_fee1 = 0;
		var trad_fee2 = 0;
		if(tradingFeeType == "trading_fee1"){
			for(var i = 0;i< stock.length;i++){
				trad_fee1 = Number(trad_fee1)+ Number(stock[i].value.brokerage_fee);
			}
			return trad_fee1;
		}else if(tradingFeeType == "trading_fee2"){
			for(var i = 0;i< stock.length;i++){
				trad_fee2 = Number(trad_fee2)+ Number(stock[i].value.pledge_fee);
			}
			return trad_fee2;
		}
	}
	
	/*获取最高可借款金额和授信额度*/
	function getCreditMoney()
	{
		var param = {
				"user_id":userInfoInSession.user_id,
				"cash_type":modeCode
		};
		 service.getUserlimit(param,function(data){
			 if(data.error_no == 0){
				 $(_pageId+ " #grantMoney").html(formatNum.formatMoney(Number(data.results[0].credit_money)));
				 
				 /*最大可借金额判断  参考WEB*/
				 var creditLimitValue = Number(data.results[0].credit_money);//授信额度
				 var maxLoanMoney =  Number(data.results[0].available_amount);//用户可用额度
				 var residue_balance= Number(data.results[0].residue_balance);//用户当前可借款金额
				 var arrSimple2=new Array(creditLimitValue,maxLoanMoney,residue_balance);
				 arrSimple2.sort(function(a,b){return b-a});
				$(_pageId+ " #pledgeMoneySum").html(formatNum.formatMoney(maxLoanMoney));
				$(_pageId+ " #pledgeMoney").html(formatNum.formatMoney(residue_balance));
				
				//这里取值可能有问题 光大的最大可借款金额是 三个中最小的， 其它就是available_amount
				if(creditLimitValue>maxLoanMoney){
					maxCanBorrowMoney = maxLoanMoney;
				}
				else{
					maxCanBorrowMoney = creditLimitValue;
				}
				maxCanBorrowMoney = maxCanBorrowMoney>residue_balance?residue_balance:maxCanBorrowMoney;
				$(_pageId+ " #pledgeMoneySum").html(formatNum.formatMoney(maxCanBorrowMoney));
				 getBrokeageFee();    //获取经手费
			 }
			 else{
				 layerUtils.iLoading(false);
				 layerUtils.iAlert(data.error_info);
			 }
		 },{"isLastReq":true,"isShowWait":true,"timeOutFunc":handleCreditMoney});
	}	
	
	
	function getBrokeageFee(){
		service.queryBrokeageFee("",function(data){
			if(data.error_no == 0){
				borrowMoney_deelFee = data.results[0];
			}else{
				layerUtils.iAlert(data.error_info);
			}
		});
	}
	
	/******** 计算经手费**********/
	function calcBrokerage(pledgeMoney,pledgeAmount,market){
		var brokerage = 0;
		// 0 是深A  2是沪A
		 if(market == 0){
			 brokerage = Number(pledgeAmount*borrowMoney_deelFee.under_critical_sz).toFixed(2);
				if(Number(brokerage)>Number(borrowMoney_deelFee.max_charge_sz)){
					brokerage = borrowMoney_deelFee.over_critical_sz;
				}
				else if(Number(brokerage)<Number(borrowMoney_deelFee.jsfee_sz)){
					brokerage = borrowMoney_deelFee.jsfee_sz;
				}
		 }
		 else if(market == 2){
			 brokerage = Number(pledgeMoney*borrowMoney_deelFee.under_critical_sh).toFixed(2);
				if(Number(brokerage)>Number(borrowMoney_deelFee.max_charge_sh)){
					brokerage = borrowMoney_deelFee.over_critical_sh;
				}
				else if(Number(brokerage)<Number(borrowMoney_deelFee.jsfee_sh)){
					brokerage = borrowMoney_deelFee.jsfee_sh;
				}
		 }
		return brokerage;
	}
	
	function getFundUse(){
		var fundUse = "";
		$(_pageId+" #fundsUse a").each(function(){
			if($(this).hasClass("checked")){
				fundUse = $(this).attr("mode_code");
			};
		});
		return fundUse;
	}
	
	/*清除页面元素*/
	function clearPageElements()
	{
		$(_pageId+" #selCreditTime").val("");
		$(_pageId+" #selCreditTime").attr("placeholder", "请选择借款时间").removeAttr("credit-time").removeAttr("credit-rate");  // 恢复贷款期限
		$(_pageId+" #creditQuantity").val("0元");  // 置空借款金额
		$(_pageId+" #allLoanFee").html("0元");
		$(_pageId+" #getMoney").html("0元");
		$(_pageId+" #autoSelectStock").html("");
		$(_pageId+" #autoSelectStock").hide();
		$(_pageId+" #selSelectStock").html("");
		$(_pageId+" .sel_list").slideUp(200);  // 隐藏贷款期限下拉列表
		$(_pageId+" .til").hide();
	}
	
	
	/*******   请求失败，继续发起请求   开始    ********************/
	 /**重新加载持仓列表***/
	function handlePositionList(){
		layerUtils.iAlert("数据加载失败，是否重新加载？",-1, function(){
			queryPositionList();   
		});
	}
	/**重新查询借款期限列表***/
	function handleCreditTimeList(){
		layerUtils.iAlert("数据加载失败，是否重新加载？",-1, function(){
			queryCreditTimeList();   
		});
	}
	/**重新查询信用额度***/
	function handleCreditMoney(){
		layerUtils.iAlert("数据加载失败，是否重新加载？",-1, function(){
			getCreditMoney();   
		});
	}
	/*******     结束    ********************/
	
	
	/*****************************调用恒生接口计算**************************/
	/**
	 * 调用恒生接口计算质押金额
	 * @param stockCode 股票代码
	 * @param number    质押数量
	 * @param market    股票市场
	 * @param callback  回调函数，因为这里都是异步的
	 */
	function pledgeCount(stockCode,number,market,callback){
		var creditTime = $(_pageId+" #selCreditTime").attr("credit-time");  // 贷款期限
		
		var param = {
				"days":creditTime, //借款天数 这里要判断借款天数
				"stock_code":stockCode,
				"entrust_amount":number,
				"cash_type":modeCode,
				"exchange_type":market
		};
		
		var entrust_balance = 0.0;
		
		service.pledgeCount(param,function(data){
			
			if(data.error_no == "0")
			{
				if(data.results.length > 0){
					entrust_balance = data.results[0].entrust_balance;
					if(entrust_balance < 0){
						entrust_balance = 0;
					}
				}
			}
			else
			{
				layerUtils.iLoading(false);
				layerUtils.iAlert(data.error_info);
			}
			
			callback(entrust_balance);
		});
		
	}
	
	/**********************************************************************/
	
	
	/*向外暴露的 JSON 对象*/
	var borrowApply = {
			"init" : init,
			"bindPageEvent" : bindPageEvent,
			"destroy" : destroy
	};
	
	/*对外暴露 JSON 对象*/
	module.exports = borrowApply;
});