define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var validata = require("validatorUtil");
	var layerUtils = require("layerUtils");
	var _pageId ="#me_billsDetail";
	var mobileService = require("mobileService");
	var external = require("external");

	//账单详情页面
	function init() {
		var header_height = $(_pageId + " header").height();
		var footer_height = $(_pageId + " footer").height();
		var window_height = $(window).height();
		var main_height = window_height - header_height - footer_height;
		$(_pageId + " .main").height(main_height);
		
		//获取前一个页面传过来的值
		var amount = appUtils.getPageParam("amount");
		var description = appUtils.getPageParam("description");
		var trade_num = appUtils.getPageParam("trade_num");
		var state = appUtils.getPageParam("state");
		var trade_date = appUtils.getPageParam("trade_date");
        var fundbal = appUtils.getPageParam("fundbal");
		$(" .cont .add").html(amount);
		
		$("#jylx").html(description);
		
		$("#jyh").html(trade_num);
		
		$("#jyzt").html(state);
		
		$("#jysj").html(trade_date);

        $("#zhye").html(fundbal);
	}

	function bindPageEvent() {
		//返回上一个页面
		appUtils.bindEvent($(_pageId + " .icon_back"), function(){
			appUtils.pageBack();
			// appUtils.pageInit("me/billsDetail", "me/bills", {});
		});
	}

	function destroy(){

	}
	
	var billsDetail = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = billsDetail;
});
